Index: code/branches/mainloop/CMakeCache.txt
===================================================================
--- code/branches/mainloop/CMakeCache.txt	(revision 81)
+++ code/branches/mainloop/CMakeCache.txt	(revision 81)
@@ -0,0 +1,364 @@
+# This is the CMakeCache file.
+# For build in directory: /home/nicolasc/development/orxonoxV2/branches/mainloop
+# It was generated by CMake: /usr/bin/cmake
+# You can edit this file to change values found and used by cmake.
+# If you do not want to change any of the values, simply exit the editor.
+# If you do want to change a value, simply edit, save, and exit the editor.
+# The syntax for the file is as follows:
+# KEY:TYPE=VALUE
+# KEY is the name of a variable in the cache.
+# TYPE is a hint to GUI's for the type of VALUE, DO NOT EDIT TYPE!.
+# VALUE is the current value for the KEY.
+
+########################
+# EXTERNAL cache entries
+########################
+
+//Path to a program.
+CMAKE_AR:FILEPATH=/usr/bin/ar
+
+//For backwards compatibility, what version of CMake commands and
+// syntax should this version of CMake allow.
+CMAKE_BACKWARDS_COMPATIBILITY:STRING=2.4
+
+//Choose the type of build, options are: None(CMAKE_CXX_FLAGS or
+// CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.
+//
+CMAKE_BUILD_TYPE:STRING=
+
+//Enable/Disable color output during build.
+CMAKE_COLOR_MAKEFILE:BOOL=ON
+
+//CXX compiler.
+CMAKE_CXX_COMPILER:FILEPATH=/usr/bin/c++
+
+//Flags used by the compiler during all build types.
+CMAKE_CXX_FLAGS:STRING=' '
+
+//Flags used by the compiler during debug builds.
+CMAKE_CXX_FLAGS_DEBUG:STRING=-g
+
+//Flags used by the compiler during release minsize builds.
+CMAKE_CXX_FLAGS_MINSIZEREL:STRING=-Os -DNDEBUG
+
+//Flags used by the compiler during release builds (/MD /Ob1 /Oi
+// /Ot /Oy /Gs will produce slightly less optimized but smaller
+// files).
+CMAKE_CXX_FLAGS_RELEASE:STRING=-O3 -DNDEBUG
+
+//Flags used by the compiler during Release with Debug Info builds.
+//
+CMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING=-O2 -g
+
+//C compiler.
+CMAKE_C_COMPILER:FILEPATH=/usr/bin/gcc
+
+//Flags for C compiler.
+CMAKE_C_FLAGS:STRING=' '
+
+//Flags used by the compiler during debug builds.
+CMAKE_C_FLAGS_DEBUG:STRING=-g
+
+//Flags used by the compiler during release minsize builds.
+CMAKE_C_FLAGS_MINSIZEREL:STRING=-Os -DNDEBUG
+
+//Flags used by the compiler during release builds (/MD /Ob1 /Oi
+// /Ot /Oy /Gs will produce slightly less optimized but smaller
+// files).
+CMAKE_C_FLAGS_RELEASE:STRING=-O3 -DNDEBUG
+
+//Flags used by the compiler during Release with Debug Info builds.
+//
+CMAKE_C_FLAGS_RELWITHDEBINFO:STRING=-O2 -g
+
+//Flags used by the linker.
+CMAKE_EXE_LINKER_FLAGS:STRING=
+
+//Flags used by the linker during debug builds.
+CMAKE_EXE_LINKER_FLAGS_DEBUG:STRING=
+
+//Flags used by the linker during release minsize builds.
+CMAKE_EXE_LINKER_FLAGS_MINSIZEREL:STRING=
+
+//Flags used by the linker during release builds.
+CMAKE_EXE_LINKER_FLAGS_RELEASE:STRING=
+
+//Flags used by the linker during Release with Debug Info builds.
+//
+CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO:STRING=
+
+//Install path prefix, prepended onto install directories.
+CMAKE_INSTALL_PREFIX:PATH=/usr/local
+
+//Path to a program.
+CMAKE_MAKE_PROGRAM:FILEPATH=/usr/bin/gmake
+
+//Flags used by the linker during the creation of modules.
+CMAKE_MODULE_LINKER_FLAGS:STRING=
+
+//Flags used by the linker during debug builds.
+CMAKE_MODULE_LINKER_FLAGS_DEBUG:STRING=
+
+//Flags used by the linker during release minsize builds.
+CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL:STRING=
+
+//Flags used by the linker during release builds.
+CMAKE_MODULE_LINKER_FLAGS_RELEASE:STRING=
+
+//Flags used by the linker during Release with Debug Info builds.
+//
+CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO:STRING=
+
+//Path to a program.
+CMAKE_RANLIB:FILEPATH=/usr/bin/ranlib
+
+//Flags used by the linker during the creation of dll's.
+CMAKE_SHARED_LINKER_FLAGS:STRING=
+
+//Flags used by the linker during debug builds.
+CMAKE_SHARED_LINKER_FLAGS_DEBUG:STRING=
+
+//Flags used by the linker during release minsize builds.
+CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL:STRING=
+
+//Flags used by the linker during release builds.
+CMAKE_SHARED_LINKER_FLAGS_RELEASE:STRING=
+
+//Flags used by the linker during Release with Debug Info builds.
+//
+CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO:STRING=
+
+//If set, runtime paths are not added when using shared libraries.
+//
+CMAKE_SKIP_RPATH:BOOL=NO
+
+//If true, cmake will use relative paths in makefiles and projects.
+//
+CMAKE_USE_RELATIVE_PATHS:BOOL=OFF
+
+//If this value is on, makefiles will be generated without the
+// .SILENT directive, and all commands will be echoed to the console
+// during the make.  This is useful for debugging only. With Visual
+// Studio IDE projects all commands are done without /nologo.
+CMAKE_VERBOSE_MAKEFILE:BOOL=FALSE
+
+//Single output directory for building all executables.
+EXECUTABLE_OUTPUT_PATH:PATH=
+
+//Single output directory for building all libraries.
+LIBRARY_OUTPUT_PATH:PATH=
+
+OGRE_INCLUDE_DIR:PATH=/usr/include/OGRE
+
+OGRE_LIB_DIR:PATH=/usr/lib64
+
+OIS_INCLUDE_DIR:PATH=/usr/include/OIS
+
+OIS_LIB_DIR:PATH=/usr/lib64
+
+//Value Computed by CMake
+Orxonox_BINARY_DIR:STATIC=/home/nicolasc/development/orxonoxV2/branches/mainloop/src
+
+//Value Computed by CMake
+Orxonox_SOURCE_DIR:STATIC=/home/nicolasc/development/orxonoxV2/branches/mainloop/src
+
+//pkg-config executable
+PKG_CONFIG_EXECUTABLE:FILEPATH=/usr/bin/pkg-config
+
+//Path to a program.
+UNAME_CMD:FILEPATH=/usr/bin/uname
+
+
+########################
+# INTERNAL cache entries
+########################
+
+//Advanced flag for variable: CMAKE_AR
+CMAKE_AR-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_BUILD_TOOL
+CMAKE_BUILD_TOOL-ADVANCED:INTERNAL=1
+//What is the target build tool cmake is generating for.
+CMAKE_BUILD_TOOL:INTERNAL=/usr/bin/gmake
+//This is the directory where this CMakeCahe.txt was created
+CMAKE_CACHEFILE_DIR:INTERNAL=/home/nicolasc/development/orxonoxV2/branches/mainloop
+//Major version of cmake used to create the current loaded cache
+//
+CMAKE_CACHE_MAJOR_VERSION:INTERNAL=2
+//Minor version of cmake used to create the current loaded cache
+//
+CMAKE_CACHE_MINOR_VERSION:INTERNAL=4
+//Major version of cmake used to create the current loaded cache
+//
+CMAKE_CACHE_RELEASE_VERSION:INTERNAL=patch 7
+//Advanced flag for variable: CMAKE_COLOR_MAKEFILE
+CMAKE_COLOR_MAKEFILE-ADVANCED:INTERNAL=1
+//Path to CMake executable.
+CMAKE_COMMAND:INTERNAL=/usr/bin/cmake
+//Path to ctest program executable.
+CMAKE_CTEST_COMMAND:INTERNAL=/usr/bin/ctest
+//Advanced flag for variable: CMAKE_CXX_COMPILER
+CMAKE_CXX_COMPILER-ADVANCED:INTERNAL=1
+CMAKE_CXX_COMPILER_WORKS:INTERNAL=1
+//Advanced flag for variable: CMAKE_CXX_FLAGS
+CMAKE_CXX_FLAGS-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_CXX_FLAGS_DEBUG
+CMAKE_CXX_FLAGS_DEBUG-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_CXX_FLAGS_MINSIZEREL
+CMAKE_CXX_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_CXX_FLAGS_RELEASE
+CMAKE_CXX_FLAGS_RELEASE-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_CXX_FLAGS_RELWITHDEBINFO
+CMAKE_CXX_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_C_COMPILER
+CMAKE_C_COMPILER-ADVANCED:INTERNAL=1
+CMAKE_C_COMPILER_WORKS:INTERNAL=1
+//Advanced flag for variable: CMAKE_C_FLAGS
+CMAKE_C_FLAGS-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_C_FLAGS_DEBUG
+CMAKE_C_FLAGS_DEBUG-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_C_FLAGS_MINSIZEREL
+CMAKE_C_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_C_FLAGS_RELEASE
+CMAKE_C_FLAGS_RELEASE-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_C_FLAGS_RELWITHDEBINFO
+CMAKE_C_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
+//Path to cache edit program executable.
+CMAKE_EDIT_COMMAND:INTERNAL=/usr/bin/ccmake
+//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS
+CMAKE_EXE_LINKER_FLAGS-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_DEBUG
+CMAKE_EXE_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_MINSIZEREL
+//
+CMAKE_EXE_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_RELEASE
+CMAKE_EXE_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO
+//
+CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
+//Name of generator.
+CMAKE_GENERATOR:INTERNAL=Unix Makefiles
+//Start directory with the top level CMakeLists.txt file for this
+// project
+CMAKE_HOME_DIRECTORY:INTERNAL=/home/nicolasc/development/orxonoxV2/branches/mainloop
+//Install .so files without execute permission.
+CMAKE_INSTALL_SO_NO_EXE:INTERNAL=0
+//Advanced flag for variable: CMAKE_MAKE_PROGRAM
+CMAKE_MAKE_PROGRAM-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS
+CMAKE_MODULE_LINKER_FLAGS-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_DEBUG
+CMAKE_MODULE_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL
+//
+CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_RELEASE
+//
+CMAKE_MODULE_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO
+//
+CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
+//number of local generators
+CMAKE_NUMBER_OF_LOCAL_GENERATORS:INTERNAL=2
+//Advanced flag for variable: CMAKE_RANLIB
+CMAKE_RANLIB-ADVANCED:INTERNAL=1
+//Path to CMake installation.
+CMAKE_ROOT:INTERNAL=/usr/share/cmake
+//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS
+CMAKE_SHARED_LINKER_FLAGS-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_DEBUG
+CMAKE_SHARED_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL
+//
+CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_RELEASE
+//
+CMAKE_SHARED_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO
+//
+CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
+//Result of TRY_RUN
+CMAKE_SIZEOF_VOID_P:INTERNAL=8
+//Advanced flag for variable: CMAKE_SKIP_RPATH
+CMAKE_SKIP_RPATH-ADVANCED:INTERNAL=1
+//uname command
+CMAKE_UNAME:INTERNAL=/usr/bin/uname
+//Advanced flag for variable: CMAKE_USE_RELATIVE_PATHS
+CMAKE_USE_RELATIVE_PATHS-ADVANCED:INTERNAL=1
+//Advanced flag for variable: CMAKE_VERBOSE_MAKEFILE
+CMAKE_VERBOSE_MAKEFILE-ADVANCED:INTERNAL=1
+//Result of TRY_COMPILE
+HAVE_CMAKE_SIZEOF_VOID_P:INTERNAL=TRUE
+OGRE_CFLAGS:INTERNAL=-DOGRE_GUI_GLX;-DOGRE_THREAD_SUPPORT;-DOGRE_NO_FREEIMAGE;-DOGRE_CONFIG_LITTLE_ENDIAN;-I/usr/include/OGRE
+OGRE_CFLAGS_I:INTERNAL=
+OGRE_CFLAGS_OTHER:INTERNAL=-DOGRE_GUI_GLX;-DOGRE_THREAD_SUPPORT;-DOGRE_NO_FREEIMAGE;-DOGRE_CONFIG_LITTLE_ENDIAN
+OGRE_FOUND:INTERNAL=1
+OGRE_INCLUDEDIR:INTERNAL=/usr/include
+OGRE_INCLUDE_DIRS:INTERNAL=/usr/include/OGRE
+OGRE_LDFLAGS:INTERNAL=-lOgreMain;-lboost_thread
+OGRE_LDFLAGS_OTHER:INTERNAL=
+OGRE_LIBDIR:INTERNAL=/usr/lib64
+OGRE_LIBRARIES:INTERNAL=OgreMain;boost_thread
+OGRE_LIBRARY_DIRS:INTERNAL=
+OGRE_LIBS:INTERNAL=
+OGRE_LIBS_L:INTERNAL=
+OGRE_LIBS_OTHER:INTERNAL=
+OGRE_LIBS_PATHS:INTERNAL=
+OGRE_OGRE_INCLUDEDIR:INTERNAL=
+OGRE_OGRE_LIBDIR:INTERNAL=
+OGRE_OGRE_PREFIX:INTERNAL=
+OGRE_OGRE_VERSION:INTERNAL=
+OGRE_PREFIX:INTERNAL=/usr
+OGRE_STATIC_CFLAGS:INTERNAL=-DOGRE_GUI_GLX;-DOGRE_THREAD_SUPPORT;-DOGRE_NO_FREEIMAGE;-DOGRE_CONFIG_LITTLE_ENDIAN;-I/usr/include/OGRE
+OGRE_STATIC_CFLAGS_I:INTERNAL=
+OGRE_STATIC_CFLAGS_OTHER:INTERNAL=-DOGRE_GUI_GLX;-DOGRE_THREAD_SUPPORT;-DOGRE_NO_FREEIMAGE;-DOGRE_CONFIG_LITTLE_ENDIAN
+OGRE_STATIC_INCLUDE_DIRS:INTERNAL=/usr/include/OGRE
+OGRE_STATIC_LDFLAGS:INTERNAL=-lOgreMain;-lboost_thread
+OGRE_STATIC_LDFLAGS_OTHER:INTERNAL=
+OGRE_STATIC_LIBDIR:INTERNAL=
+OGRE_STATIC_LIBRARIES:INTERNAL=OgreMain;boost_thread
+OGRE_STATIC_LIBRARY_DIRS:INTERNAL=
+OGRE_STATIC_LIBS:INTERNAL=
+OGRE_STATIC_LIBS_L:INTERNAL=
+OGRE_STATIC_LIBS_OTHER:INTERNAL=
+OGRE_STATIC_LIBS_PATHS:INTERNAL=
+OGRE_VERSION:INTERNAL=1.4.5
+OIS_CFLAGS:INTERNAL=-I/usr/include/OIS
+OIS_CFLAGS_I:INTERNAL=
+OIS_CFLAGS_OTHER:INTERNAL=
+OIS_FOUND:INTERNAL=1
+OIS_INCLUDEDIR:INTERNAL=/usr/include
+OIS_INCLUDE_DIRS:INTERNAL=/usr/include/OIS
+OIS_LDFLAGS:INTERNAL=-lOIS
+OIS_LDFLAGS_OTHER:INTERNAL=
+OIS_LIBDIR:INTERNAL=/usr/lib64
+OIS_LIBRARIES:INTERNAL=OIS
+OIS_LIBRARY_DIRS:INTERNAL=
+OIS_LIBS:INTERNAL=
+OIS_LIBS_L:INTERNAL=
+OIS_LIBS_OTHER:INTERNAL=
+OIS_LIBS_PATHS:INTERNAL=
+OIS_OIS_INCLUDEDIR:INTERNAL=
+OIS_OIS_LIBDIR:INTERNAL=
+OIS_OIS_PREFIX:INTERNAL=
+OIS_OIS_VERSION:INTERNAL=
+OIS_PREFIX:INTERNAL=/usr
+OIS_STATIC_CFLAGS:INTERNAL=-I/usr/include/OIS
+OIS_STATIC_CFLAGS_I:INTERNAL=
+OIS_STATIC_CFLAGS_OTHER:INTERNAL=
+OIS_STATIC_INCLUDE_DIRS:INTERNAL=/usr/include/OIS
+OIS_STATIC_LDFLAGS:INTERNAL=-lOIS
+OIS_STATIC_LDFLAGS_OTHER:INTERNAL=
+OIS_STATIC_LIBDIR:INTERNAL=
+OIS_STATIC_LIBRARIES:INTERNAL=OIS
+OIS_STATIC_LIBRARY_DIRS:INTERNAL=
+OIS_STATIC_LIBS:INTERNAL=
+OIS_STATIC_LIBS_L:INTERNAL=
+OIS_STATIC_LIBS_OTHER:INTERNAL=
+OIS_STATIC_LIBS_PATHS:INTERNAL=
+OIS_VERSION:INTERNAL=1.0.0
+//Advanced flag for variable: PKG_CONFIG_EXECUTABLE
+PKG_CONFIG_EXECUTABLE-ADVANCED:INTERNAL=1
+__pkg_config_checked_OGRE:INTERNAL=1
+__pkg_config_checked_OIS:INTERNAL=1
+
Index: code/branches/mainloop/bin/media.cfg
===================================================================
--- code/branches/mainloop/bin/media.cfg	(revision 81)
+++ code/branches/mainloop/bin/media.cfg	(revision 81)
@@ -0,0 +1,16 @@
+Mesh=ogrehead.mesh
+Mesh=geosphere4500.mesh
+Mesh=razor.mesh
+Mesh=knot.mesh
+Mesh=RZR-002.mesh
+Mesh=geosphere8000.mesh
+Mesh=sphere.mesh
+
+CubeMap=cubescene.jpg
+CubeMap=early_morning.jpg
+CubeMap=cubemap.jpg
+CubeMap=morning.jpg
+CubeMap=cloudy_noon.jpg
+CubeMap=evening.jpg
+CubeMap=stormy.jpg
+CubeMap=stevecube.jpg
Index: code/branches/mainloop/bin/ogre.cfg-init
===================================================================
--- code/branches/mainloop/bin/ogre.cfg-init	(revision 81)
+++ code/branches/mainloop/bin/ogre.cfg-init	(revision 81)
@@ -0,0 +1,7 @@
+Render System=OpenGL Rendering Subsystem
+
+[OpenGL Rendering Subsystem]
+FSAA=4
+Full Screen=No
+RTT Preferred Mode=PBuffer
+Video Mode=1280 x 1024
Index: code/branches/mainloop/bin/plugins.cfg-init
===================================================================
--- code/branches/mainloop/bin/plugins.cfg-init	(revision 81)
+++ code/branches/mainloop/bin/plugins.cfg-init	(revision 81)
@@ -0,0 +1,14 @@
+# Defines plugins to load
+
+# Define plugin folder
+PluginFolder=/usr/lib/OGRE
+
+# Define plugins
+#Plugin=RenderSystem_Direct3D9
+Plugin=RenderSystem_GL
+Plugin=Plugin_ParticleFX
+Plugin=Plugin_BSPSceneManager
+Plugin=Plugin_OctreeSceneManager
+Plugin=Plugin_CgProgramManager
+
+
Index: code/branches/mainloop/bin/quake3settings.cfg
===================================================================
--- code/branches/mainloop/bin/quake3settings.cfg	(revision 81)
+++ code/branches/mainloop/bin/quake3settings.cfg	(revision 81)
@@ -0,0 +1,3 @@
+Pak0Location: f:\quake3levels\chiropteraDM.pk3
+Map: maps/chiropteradm.bsp
+
Index: code/branches/mainloop/bin/resources.cfg
===================================================================
--- code/branches/mainloop/bin/resources.cfg	(revision 81)
+++ code/branches/mainloop/bin/resources.cfg	(revision 81)
@@ -0,0 +1,23 @@
+# Resource locations to be added to the 'boostrap' path
+# This also contains the minimum you need to use the Ogre example framework
+[Bootstrap]
+#Zip=../Media/packs/OgreCore.zip
+
+# Resource locations to be added to the default path
+[General]
+#FileSystem=../Media
+#FileSystem=../Media/fonts
+#FileSystem=../Media/materials/programs
+#FileSystem=../Media/materials/scripts
+#FileSystem=../Media/materials/textures
+#FileSystem=../Media/models
+#FileSystem=../Media/overlays
+#FileSystem=../Media/particle
+#FileSystem=../Media/gui
+#FileSystem=../Media/DeferredShading../Media
+#Zip=../Media/packs/cubemap.zip
+#Zip=../Media/packs/cubemapsJS.zip
+#Zip=../Media/packs/dragon.zip
+#Zip=../Media/packs/fresneldemo.zip
+#Zip=../Media/packs/ogretestmap.zip
+#Zip=../Media/packs/skybox.zip
Index: code/branches/mainloop/bin/run-script
===================================================================
--- code/branches/mainloop/bin/run-script	(revision 81)
+++ code/branches/mainloop/bin/run-script	(revision 81)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [[ !  -f main ]] ; then
+	echo "main does not exist"
+	echo "did you compile it?"
+
+	exit 1
+fi
+
+if [[ ! -f orge.cfg ]] ; then
+	cp ogre.cfg-init ogre.cfg
+fi
+
+# check if plugins.cfg exists, and of not create it
+# and modify 
+if [[ ! -f plugins.cfg ]] ; then 
+	if uname -n | grep "tardis" > /dev/null ; then
+		sed -e 's:PluginFolder=/usr/lib/OGRE:PluginFolder=/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib/OGRE/:' \
+		-e 's:#Plugin=Plugin_CgProgramManager:Plugin=Plugin_CgProgramManager:' plugins.cfg-init > plugins.cfg
+	else
+                cp plugins.cfg-init plugins.cfg
+	fi
+fi
+exec ./main
Index: code/branches/mainloop/src/CMakeLists.txt
===================================================================
--- code/branches/mainloop/src/CMakeLists.txt	(revision 80)
+++ code/branches/mainloop/src/CMakeLists.txt	(revision 81)
@@ -1,34 +1,3 @@
-PROJECT(Tutorial)
-
-#Create some verbose output
-SET(CMAKE_VERBOSE_MAKEFILE TRUE)
-
-#force-set the compile on tardis machines, as default points to g++-3.3
-# only run this test on a lunix/unix machine
-IF (UNIX)
-  FIND_PROGRAM(UNAME_CMD "uname"
-	PATHS "/usr/bin /bin")
-  IF(NOT UNAME_CMD)
-	MESSAGE("Unable to find uname. Tardis-Check cannot be done.")
-  ENDIF(NOT UNAME_CMD)
-  EXECUTE_PROCESS(
-	COMMAND "${UNAME_CMD}" "-n"
-	RESULT_VARIABLE UNAME_RV
-	ERROR_VARIABLE UNAME_EV
-	OUTPUT_VARIABLE UNAME_OV)
-#MESSAGE("Print: UNAME_RV ${UNAME_RV}")
-  IF (NOT "${UNAME_RV}" STREQUAL "0")
-	MESSAGE("ERROR: uname terminated unclean.")
-  ENDIF (NOT "${UNAME_RV}" STREQUAL "0")
-  # check wheter we are on a tardis machine
-  IF ("${UNAME_OV}" MATCHES "tardis")
-    SET (IS_TARDIS "tardis")
-  ENDIF ("${UNAME_OV}" MATCHES "tardis")
-  # if on tardis change compiler
-  IF (IS_TARDIS)
-  MESSAGE("System is a TARDIS: Setting Compiler to g++-3.4.3")
-  SET(CMAKE_CXX_COMPILER "g++-3.4.3")
-  ENDIF(IS_TARDIS)
-ENDIF (UNIX)
+PROJECT(Orxonox)
 
 # create a few variables to simplify life
@@ -36,18 +5,7 @@
 SET(INC_FILES ExampleApplication.h  ExampleFrameListener.h  ExampleLoadingBar.h)
 
-#This sets where to look for "Find*.cmake" files
-SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)
-#Performs the search and sets the variables
-FIND_PACKAGE(OGRE)
-FIND_PACKAGE(OIS)
+#Creates an executable
+ADD_EXECUTABLE(../bin/main ${SRC_FILES} ${INC_FILES})
+#Links the executable against OGRE and OIS
+TARGET_LINK_LIBRARIES(../bin/main ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 
-#Sets the search paths for the linking
-LINK_DIRECTORIES(${OGRE_LIB_DIR} ${OIS_LIB_DIR})
-#Sets the search path for include files
-INCLUDE_DIRECTORIES(${OGRE_INCLUDE_DIR} ${OIS_INCLUDE_DIR})
-
-#Creates an executable
-ADD_EXECUTABLE(bin/main ${SRC_FILES} ${INC_FILES})
-#Links the executable against OGRE and OIS
-TARGET_LINK_LIBRARIES(bin/main ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
-
Index: code/branches/mainloop/src/orxonox.cc
===================================================================
--- code/branches/mainloop/src/orxonox.cc	(revision 80)
+++ code/branches/mainloop/src/orxonox.cc	(revision 81)
@@ -116,5 +116,5 @@
     {
         // create frame listener
-      mFrameListener = new TutorialFrameListener(mWindow, mCamera, mSceneMgr);
+      mFrameListener = new ExampleFrameListener(mWindow, mCamera, mSceneMgr);
       mRoot->addFrameListener(mFrameListener);
     }