Index: code/branches/mainloop/CMakeCache.txt
===================================================================
--- code/branches/mainloop/CMakeCache.txt	(revision 81)
+++ 	(revision )
@@ -1,364 +1,0 @@
-# This is the CMakeCache file.
-# For build in directory: /home/nicolasc/development/orxonoxV2/branches/mainloop
-# It was generated by CMake: /usr/bin/cmake
-# You can edit this file to change values found and used by cmake.
-# If you do not want to change any of the values, simply exit the editor.
-# If you do want to change a value, simply edit, save, and exit the editor.
-# The syntax for the file is as follows:
-# KEY:TYPE=VALUE
-# KEY is the name of a variable in the cache.
-# TYPE is a hint to GUI's for the type of VALUE, DO NOT EDIT TYPE!.
-# VALUE is the current value for the KEY.
-
-########################
-# EXTERNAL cache entries
-########################
-
-//Path to a program.
-CMAKE_AR:FILEPATH=/usr/bin/ar
-
-//For backwards compatibility, what version of CMake commands and
-// syntax should this version of CMake allow.
-CMAKE_BACKWARDS_COMPATIBILITY:STRING=2.4
-
-//Choose the type of build, options are: None(CMAKE_CXX_FLAGS or
-// CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.
-//
-CMAKE_BUILD_TYPE:STRING=
-
-//Enable/Disable color output during build.
-CMAKE_COLOR_MAKEFILE:BOOL=ON
-
-//CXX compiler.
-CMAKE_CXX_COMPILER:FILEPATH=/usr/bin/c++
-
-//Flags used by the compiler during all build types.
-CMAKE_CXX_FLAGS:STRING=' '
-
-//Flags used by the compiler during debug builds.
-CMAKE_CXX_FLAGS_DEBUG:STRING=-g
-
-//Flags used by the compiler during release minsize builds.
-CMAKE_CXX_FLAGS_MINSIZEREL:STRING=-Os -DNDEBUG
-
-//Flags used by the compiler during release builds (/MD /Ob1 /Oi
-// /Ot /Oy /Gs will produce slightly less optimized but smaller
-// files).
-CMAKE_CXX_FLAGS_RELEASE:STRING=-O3 -DNDEBUG
-
-//Flags used by the compiler during Release with Debug Info builds.
-//
-CMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING=-O2 -g
-
-//C compiler.
-CMAKE_C_COMPILER:FILEPATH=/usr/bin/gcc
-
-//Flags for C compiler.
-CMAKE_C_FLAGS:STRING=' '
-
-//Flags used by the compiler during debug builds.
-CMAKE_C_FLAGS_DEBUG:STRING=-g
-
-//Flags used by the compiler during release minsize builds.
-CMAKE_C_FLAGS_MINSIZEREL:STRING=-Os -DNDEBUG
-
-//Flags used by the compiler during release builds (/MD /Ob1 /Oi
-// /Ot /Oy /Gs will produce slightly less optimized but smaller
-// files).
-CMAKE_C_FLAGS_RELEASE:STRING=-O3 -DNDEBUG
-
-//Flags used by the compiler during Release with Debug Info builds.
-//
-CMAKE_C_FLAGS_RELWITHDEBINFO:STRING=-O2 -g
-
-//Flags used by the linker.
-CMAKE_EXE_LINKER_FLAGS:STRING=
-
-//Flags used by the linker during debug builds.
-CMAKE_EXE_LINKER_FLAGS_DEBUG:STRING=
-
-//Flags used by the linker during release minsize builds.
-CMAKE_EXE_LINKER_FLAGS_MINSIZEREL:STRING=
-
-//Flags used by the linker during release builds.
-CMAKE_EXE_LINKER_FLAGS_RELEASE:STRING=
-
-//Flags used by the linker during Release with Debug Info builds.
-//
-CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO:STRING=
-
-//Install path prefix, prepended onto install directories.
-CMAKE_INSTALL_PREFIX:PATH=/usr/local
-
-//Path to a program.
-CMAKE_MAKE_PROGRAM:FILEPATH=/usr/bin/gmake
-
-//Flags used by the linker during the creation of modules.
-CMAKE_MODULE_LINKER_FLAGS:STRING=
-
-//Flags used by the linker during debug builds.
-CMAKE_MODULE_LINKER_FLAGS_DEBUG:STRING=
-
-//Flags used by the linker during release minsize builds.
-CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL:STRING=
-
-//Flags used by the linker during release builds.
-CMAKE_MODULE_LINKER_FLAGS_RELEASE:STRING=
-
-//Flags used by the linker during Release with Debug Info builds.
-//
-CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO:STRING=
-
-//Path to a program.
-CMAKE_RANLIB:FILEPATH=/usr/bin/ranlib
-
-//Flags used by the linker during the creation of dll's.
-CMAKE_SHARED_LINKER_FLAGS:STRING=
-
-//Flags used by the linker during debug builds.
-CMAKE_SHARED_LINKER_FLAGS_DEBUG:STRING=
-
-//Flags used by the linker during release minsize builds.
-CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL:STRING=
-
-//Flags used by the linker during release builds.
-CMAKE_SHARED_LINKER_FLAGS_RELEASE:STRING=
-
-//Flags used by the linker during Release with Debug Info builds.
-//
-CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO:STRING=
-
-//If set, runtime paths are not added when using shared libraries.
-//
-CMAKE_SKIP_RPATH:BOOL=NO
-
-//If true, cmake will use relative paths in makefiles and projects.
-//
-CMAKE_USE_RELATIVE_PATHS:BOOL=OFF
-
-//If this value is on, makefiles will be generated without the
-// .SILENT directive, and all commands will be echoed to the console
-// during the make.  This is useful for debugging only. With Visual
-// Studio IDE projects all commands are done without /nologo.
-CMAKE_VERBOSE_MAKEFILE:BOOL=FALSE
-
-//Single output directory for building all executables.
-EXECUTABLE_OUTPUT_PATH:PATH=
-
-//Single output directory for building all libraries.
-LIBRARY_OUTPUT_PATH:PATH=
-
-OGRE_INCLUDE_DIR:PATH=/usr/include/OGRE
-
-OGRE_LIB_DIR:PATH=/usr/lib64
-
-OIS_INCLUDE_DIR:PATH=/usr/include/OIS
-
-OIS_LIB_DIR:PATH=/usr/lib64
-
-//Value Computed by CMake
-Orxonox_BINARY_DIR:STATIC=/home/nicolasc/development/orxonoxV2/branches/mainloop/src
-
-//Value Computed by CMake
-Orxonox_SOURCE_DIR:STATIC=/home/nicolasc/development/orxonoxV2/branches/mainloop/src
-
-//pkg-config executable
-PKG_CONFIG_EXECUTABLE:FILEPATH=/usr/bin/pkg-config
-
-//Path to a program.
-UNAME_CMD:FILEPATH=/usr/bin/uname
-
-
-########################
-# INTERNAL cache entries
-########################
-
-//Advanced flag for variable: CMAKE_AR
-CMAKE_AR-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_BUILD_TOOL
-CMAKE_BUILD_TOOL-ADVANCED:INTERNAL=1
-//What is the target build tool cmake is generating for.
-CMAKE_BUILD_TOOL:INTERNAL=/usr/bin/gmake
-//This is the directory where this CMakeCahe.txt was created
-CMAKE_CACHEFILE_DIR:INTERNAL=/home/nicolasc/development/orxonoxV2/branches/mainloop
-//Major version of cmake used to create the current loaded cache
-//
-CMAKE_CACHE_MAJOR_VERSION:INTERNAL=2
-//Minor version of cmake used to create the current loaded cache
-//
-CMAKE_CACHE_MINOR_VERSION:INTERNAL=4
-//Major version of cmake used to create the current loaded cache
-//
-CMAKE_CACHE_RELEASE_VERSION:INTERNAL=patch 7
-//Advanced flag for variable: CMAKE_COLOR_MAKEFILE
-CMAKE_COLOR_MAKEFILE-ADVANCED:INTERNAL=1
-//Path to CMake executable.
-CMAKE_COMMAND:INTERNAL=/usr/bin/cmake
-//Path to ctest program executable.
-CMAKE_CTEST_COMMAND:INTERNAL=/usr/bin/ctest
-//Advanced flag for variable: CMAKE_CXX_COMPILER
-CMAKE_CXX_COMPILER-ADVANCED:INTERNAL=1
-CMAKE_CXX_COMPILER_WORKS:INTERNAL=1
-//Advanced flag for variable: CMAKE_CXX_FLAGS
-CMAKE_CXX_FLAGS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_CXX_FLAGS_DEBUG
-CMAKE_CXX_FLAGS_DEBUG-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_CXX_FLAGS_MINSIZEREL
-CMAKE_CXX_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_CXX_FLAGS_RELEASE
-CMAKE_CXX_FLAGS_RELEASE-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_CXX_FLAGS_RELWITHDEBINFO
-CMAKE_CXX_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_COMPILER
-CMAKE_C_COMPILER-ADVANCED:INTERNAL=1
-CMAKE_C_COMPILER_WORKS:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_FLAGS
-CMAKE_C_FLAGS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_FLAGS_DEBUG
-CMAKE_C_FLAGS_DEBUG-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_FLAGS_MINSIZEREL
-CMAKE_C_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_FLAGS_RELEASE
-CMAKE_C_FLAGS_RELEASE-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_FLAGS_RELWITHDEBINFO
-CMAKE_C_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
-//Path to cache edit program executable.
-CMAKE_EDIT_COMMAND:INTERNAL=/usr/bin/ccmake
-//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS
-CMAKE_EXE_LINKER_FLAGS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_DEBUG
-CMAKE_EXE_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_MINSIZEREL
-//
-CMAKE_EXE_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_RELEASE
-CMAKE_EXE_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO
-//
-CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
-//Name of generator.
-CMAKE_GENERATOR:INTERNAL=Unix Makefiles
-//Start directory with the top level CMakeLists.txt file for this
-// project
-CMAKE_HOME_DIRECTORY:INTERNAL=/home/nicolasc/development/orxonoxV2/branches/mainloop
-//Install .so files without execute permission.
-CMAKE_INSTALL_SO_NO_EXE:INTERNAL=0
-//Advanced flag for variable: CMAKE_MAKE_PROGRAM
-CMAKE_MAKE_PROGRAM-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS
-CMAKE_MODULE_LINKER_FLAGS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_DEBUG
-CMAKE_MODULE_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL
-//
-CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_RELEASE
-//
-CMAKE_MODULE_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO
-//
-CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
-//number of local generators
-CMAKE_NUMBER_OF_LOCAL_GENERATORS:INTERNAL=2
-//Advanced flag for variable: CMAKE_RANLIB
-CMAKE_RANLIB-ADVANCED:INTERNAL=1
-//Path to CMake installation.
-CMAKE_ROOT:INTERNAL=/usr/share/cmake
-//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS
-CMAKE_SHARED_LINKER_FLAGS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_DEBUG
-CMAKE_SHARED_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL
-//
-CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_RELEASE
-//
-CMAKE_SHARED_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO
-//
-CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
-//Result of TRY_RUN
-CMAKE_SIZEOF_VOID_P:INTERNAL=8
-//Advanced flag for variable: CMAKE_SKIP_RPATH
-CMAKE_SKIP_RPATH-ADVANCED:INTERNAL=1
-//uname command
-CMAKE_UNAME:INTERNAL=/usr/bin/uname
-//Advanced flag for variable: CMAKE_USE_RELATIVE_PATHS
-CMAKE_USE_RELATIVE_PATHS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_VERBOSE_MAKEFILE
-CMAKE_VERBOSE_MAKEFILE-ADVANCED:INTERNAL=1
-//Result of TRY_COMPILE
-HAVE_CMAKE_SIZEOF_VOID_P:INTERNAL=TRUE
-OGRE_CFLAGS:INTERNAL=-DOGRE_GUI_GLX;-DOGRE_THREAD_SUPPORT;-DOGRE_NO_FREEIMAGE;-DOGRE_CONFIG_LITTLE_ENDIAN;-I/usr/include/OGRE
-OGRE_CFLAGS_I:INTERNAL=
-OGRE_CFLAGS_OTHER:INTERNAL=-DOGRE_GUI_GLX;-DOGRE_THREAD_SUPPORT;-DOGRE_NO_FREEIMAGE;-DOGRE_CONFIG_LITTLE_ENDIAN
-OGRE_FOUND:INTERNAL=1
-OGRE_INCLUDEDIR:INTERNAL=/usr/include
-OGRE_INCLUDE_DIRS:INTERNAL=/usr/include/OGRE
-OGRE_LDFLAGS:INTERNAL=-lOgreMain;-lboost_thread
-OGRE_LDFLAGS_OTHER:INTERNAL=
-OGRE_LIBDIR:INTERNAL=/usr/lib64
-OGRE_LIBRARIES:INTERNAL=OgreMain;boost_thread
-OGRE_LIBRARY_DIRS:INTERNAL=
-OGRE_LIBS:INTERNAL=
-OGRE_LIBS_L:INTERNAL=
-OGRE_LIBS_OTHER:INTERNAL=
-OGRE_LIBS_PATHS:INTERNAL=
-OGRE_OGRE_INCLUDEDIR:INTERNAL=
-OGRE_OGRE_LIBDIR:INTERNAL=
-OGRE_OGRE_PREFIX:INTERNAL=
-OGRE_OGRE_VERSION:INTERNAL=
-OGRE_PREFIX:INTERNAL=/usr
-OGRE_STATIC_CFLAGS:INTERNAL=-DOGRE_GUI_GLX;-DOGRE_THREAD_SUPPORT;-DOGRE_NO_FREEIMAGE;-DOGRE_CONFIG_LITTLE_ENDIAN;-I/usr/include/OGRE
-OGRE_STATIC_CFLAGS_I:INTERNAL=
-OGRE_STATIC_CFLAGS_OTHER:INTERNAL=-DOGRE_GUI_GLX;-DOGRE_THREAD_SUPPORT;-DOGRE_NO_FREEIMAGE;-DOGRE_CONFIG_LITTLE_ENDIAN
-OGRE_STATIC_INCLUDE_DIRS:INTERNAL=/usr/include/OGRE
-OGRE_STATIC_LDFLAGS:INTERNAL=-lOgreMain;-lboost_thread
-OGRE_STATIC_LDFLAGS_OTHER:INTERNAL=
-OGRE_STATIC_LIBDIR:INTERNAL=
-OGRE_STATIC_LIBRARIES:INTERNAL=OgreMain;boost_thread
-OGRE_STATIC_LIBRARY_DIRS:INTERNAL=
-OGRE_STATIC_LIBS:INTERNAL=
-OGRE_STATIC_LIBS_L:INTERNAL=
-OGRE_STATIC_LIBS_OTHER:INTERNAL=
-OGRE_STATIC_LIBS_PATHS:INTERNAL=
-OGRE_VERSION:INTERNAL=1.4.5
-OIS_CFLAGS:INTERNAL=-I/usr/include/OIS
-OIS_CFLAGS_I:INTERNAL=
-OIS_CFLAGS_OTHER:INTERNAL=
-OIS_FOUND:INTERNAL=1
-OIS_INCLUDEDIR:INTERNAL=/usr/include
-OIS_INCLUDE_DIRS:INTERNAL=/usr/include/OIS
-OIS_LDFLAGS:INTERNAL=-lOIS
-OIS_LDFLAGS_OTHER:INTERNAL=
-OIS_LIBDIR:INTERNAL=/usr/lib64
-OIS_LIBRARIES:INTERNAL=OIS
-OIS_LIBRARY_DIRS:INTERNAL=
-OIS_LIBS:INTERNAL=
-OIS_LIBS_L:INTERNAL=
-OIS_LIBS_OTHER:INTERNAL=
-OIS_LIBS_PATHS:INTERNAL=
-OIS_OIS_INCLUDEDIR:INTERNAL=
-OIS_OIS_LIBDIR:INTERNAL=
-OIS_OIS_PREFIX:INTERNAL=
-OIS_OIS_VERSION:INTERNAL=
-OIS_PREFIX:INTERNAL=/usr
-OIS_STATIC_CFLAGS:INTERNAL=-I/usr/include/OIS
-OIS_STATIC_CFLAGS_I:INTERNAL=
-OIS_STATIC_CFLAGS_OTHER:INTERNAL=
-OIS_STATIC_INCLUDE_DIRS:INTERNAL=/usr/include/OIS
-OIS_STATIC_LDFLAGS:INTERNAL=-lOIS
-OIS_STATIC_LDFLAGS_OTHER:INTERNAL=
-OIS_STATIC_LIBDIR:INTERNAL=
-OIS_STATIC_LIBRARIES:INTERNAL=OIS
-OIS_STATIC_LIBRARY_DIRS:INTERNAL=
-OIS_STATIC_LIBS:INTERNAL=
-OIS_STATIC_LIBS_L:INTERNAL=
-OIS_STATIC_LIBS_OTHER:INTERNAL=
-OIS_STATIC_LIBS_PATHS:INTERNAL=
-OIS_VERSION:INTERNAL=1.0.0
-//Advanced flag for variable: PKG_CONFIG_EXECUTABLE
-PKG_CONFIG_EXECUTABLE-ADVANCED:INTERNAL=1
-__pkg_config_checked_OGRE:INTERNAL=1
-__pkg_config_checked_OIS:INTERNAL=1
-