Index: code/branches/network/CMakeCache.txt
===================================================================
--- code/branches/network/CMakeCache.txt	(revision 97)
+++ 	(revision )
@@ -1,374 +1,0 @@
-# This is the CMakeCache file.
-# For build in directory: /home/scheusso/orxonox/network
-# It was generated by CMake: /usr/pack/cmake-2.4.5-mo/i686-debian-linux3.1/bin/cmake
-# You can edit this file to change values found and used by cmake.
-# If you do not want to change any of the values, simply exit the editor.
-# If you do want to change a value, simply edit, save, and exit the editor.
-# The syntax for the file is as follows:
-# KEY:TYPE=VALUE
-# KEY is the name of a variable in the cache.
-# TYPE is a hint to GUI's for the type of VALUE, DO NOT EDIT TYPE!.
-# VALUE is the current value for the KEY.
-
-########################
-# EXTERNAL cache entries
-########################
-
-//Path to a program.
-CMAKE_AR:FILEPATH=/usr/bin/ar
-
-//For backwards compatibility, what version of CMake commands and
-// syntax should this version of CMake allow.
-CMAKE_BACKWARDS_COMPATIBILITY:STRING=2.4
-
-//Choose the type of build, options are: None(CMAKE_CXX_FLAGS or
-// CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.
-//
-CMAKE_BUILD_TYPE:STRING=
-
-//Enable/Disable color output during build.
-CMAKE_COLOR_MAKEFILE:BOOL=ON
-
-//CXX compiler.
-CMAKE_CXX_COMPILER:FILEPATH=/usr/sepp/bin/g++-3.4.3
-
-//Flags used by the compiler during all build types.
-CMAKE_CXX_FLAGS:STRING=' '
-
-//Flags used by the compiler during debug builds.
-CMAKE_CXX_FLAGS_DEBUG:STRING=-g
-
-//Flags used by the compiler during release minsize builds.
-CMAKE_CXX_FLAGS_MINSIZEREL:STRING=-Os -DNDEBUG
-
-//Flags used by the compiler during release builds (/MD /Ob1 /Oi
-// /Ot /Oy /Gs will produce slightly less optimized but smaller
-// files).
-CMAKE_CXX_FLAGS_RELEASE:STRING=-O3 -DNDEBUG
-
-//Flags used by the compiler during Release with Debug Info builds.
-//
-CMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING=-O2 -g
-
-//C compiler.
-CMAKE_C_COMPILER:FILEPATH=/usr/bin/gcc
-
-//Flags for C compiler.
-CMAKE_C_FLAGS:STRING=' '
-
-//Flags used by the compiler during debug builds.
-CMAKE_C_FLAGS_DEBUG:STRING=-g
-
-//Flags used by the compiler during release minsize builds.
-CMAKE_C_FLAGS_MINSIZEREL:STRING=-Os -DNDEBUG
-
-//Flags used by the compiler during release builds (/MD /Ob1 /Oi
-// /Ot /Oy /Gs will produce slightly less optimized but smaller
-// files).
-CMAKE_C_FLAGS_RELEASE:STRING=-O3 -DNDEBUG
-
-//Flags used by the compiler during Release with Debug Info builds.
-//
-CMAKE_C_FLAGS_RELWITHDEBINFO:STRING=-O2 -g
-
-//Flags used by the linker.
-CMAKE_EXE_LINKER_FLAGS:STRING=
-
-//Flags used by the linker during debug builds.
-CMAKE_EXE_LINKER_FLAGS_DEBUG:STRING=
-
-//Flags used by the linker during release minsize builds.
-CMAKE_EXE_LINKER_FLAGS_MINSIZEREL:STRING=
-
-//Flags used by the linker during release builds.
-CMAKE_EXE_LINKER_FLAGS_RELEASE:STRING=
-
-//Flags used by the linker during Release with Debug Info builds.
-//
-CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO:STRING=
-
-//Install path prefix, prepended onto install directories.
-CMAKE_INSTALL_PREFIX:PATH=/usr/local
-
-//Path to a program.
-CMAKE_MAKE_PROGRAM:FILEPATH=/usr/sepp/bin/gmake
-
-//Flags used by the linker during the creation of modules.
-CMAKE_MODULE_LINKER_FLAGS:STRING=
-
-//Flags used by the linker during debug builds.
-CMAKE_MODULE_LINKER_FLAGS_DEBUG:STRING=
-
-//Flags used by the linker during release minsize builds.
-CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL:STRING=
-
-//Flags used by the linker during release builds.
-CMAKE_MODULE_LINKER_FLAGS_RELEASE:STRING=
-
-//Flags used by the linker during Release with Debug Info builds.
-//
-CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO:STRING=
-
-//Path to a program.
-CMAKE_RANLIB:FILEPATH=/usr/bin/ranlib
-
-//Flags used by the linker during the creation of dll's.
-CMAKE_SHARED_LINKER_FLAGS:STRING=
-
-//Flags used by the linker during debug builds.
-CMAKE_SHARED_LINKER_FLAGS_DEBUG:STRING=
-
-//Flags used by the linker during release minsize builds.
-CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL:STRING=
-
-//Flags used by the linker during release builds.
-CMAKE_SHARED_LINKER_FLAGS_RELEASE:STRING=
-
-//Flags used by the linker during Release with Debug Info builds.
-//
-CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO:STRING=
-
-//If set, runtime paths are not added when using shared libraries.
-//
-CMAKE_SKIP_RPATH:BOOL=NO
-
-//If true, cmake will use relative paths in makefiles and projects.
-//
-CMAKE_USE_RELATIVE_PATHS:BOOL=OFF
-
-//If this value is on, makefiles will be generated without the
-// .SILENT directive, and all commands will be echoed to the console
-// during the make.  This is useful for debugging only. With Visual
-// Studio IDE projects all commands are done without /nologo.
-CMAKE_VERBOSE_MAKEFILE:BOOL=FALSE
-
-//Single output directory for building all executables.
-EXECUTABLE_OUTPUT_PATH:PATH=
-
-//Single output directory for building all libraries.
-LIBRARY_OUTPUT_PATH:PATH=
-
-//Missing description
-OGRE_INCLUDE_DIR:PATH=/usr/pack/ogre-1.4.5-sd/include;/usr/pack/ogre-1.4.5-sd/include/OGRE
-
-//Missing description
-OGRE_LIB_DIR:PATH=/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib
-
-//Missing description
-OIS_INCLUDE_DIR:PATH=/usr/pack/ois-1.0-sd/include/OIS;/usr/pack/ois-1.0-sd/include
-
-//Missing description
-OIS_LIB_DIR:PATH=/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib
-
-//Value Computed by CMake
-Orxonox_BINARY_DIR:STATIC=/home/scheusso/orxonox/network/src
-
-//Value Computed by CMake
-Orxonox_SOURCE_DIR:STATIC=/home/scheusso/orxonox/network/src
-
-//pkg-config executable
-PKG_CONFIG_EXECUTABLE:FILEPATH=/usr/pack/gnome-2.18.0-ds/i686-debian-linux3.1/bin/pkg-config
-
-//Path to a program.
-UNAME_CMD:FILEPATH=/bin/uname
-
-
-########################
-# INTERNAL cache entries
-########################
-
-//Advanced flag for variable: CMAKE_AR
-CMAKE_AR-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_BUILD_TOOL
-CMAKE_BUILD_TOOL-ADVANCED:INTERNAL=1
-//What is the target build tool cmake is generating for.
-CMAKE_BUILD_TOOL:INTERNAL=/usr/sepp/bin/gmake
-//This is the directory where this CMakeCahe.txt was created
-CMAKE_CACHEFILE_DIR:INTERNAL=/home/scheusso/orxonox/network
-//Major version of cmake used to create the current loaded cache
-//
-CMAKE_CACHE_MAJOR_VERSION:INTERNAL=2
-//Minor version of cmake used to create the current loaded cache
-//
-CMAKE_CACHE_MINOR_VERSION:INTERNAL=4
-//Major version of cmake used to create the current loaded cache
-//
-CMAKE_CACHE_RELEASE_VERSION:INTERNAL=patch 5
-//Advanced flag for variable: CMAKE_COLOR_MAKEFILE
-CMAKE_COLOR_MAKEFILE-ADVANCED:INTERNAL=1
-//Path to CMake executable.
-CMAKE_COMMAND:INTERNAL=/usr/pack/cmake-2.4.5-mo/i686-debian-linux3.1/bin/cmake
-//Path to ctest program executable.
-CMAKE_CTEST_COMMAND:INTERNAL=/usr/pack/cmake-2.4.5-mo/i686-debian-linux3.1/bin/ctest
-//Advanced flag for variable: CMAKE_CXX_COMPILER
-CMAKE_CXX_COMPILER-ADVANCED:INTERNAL=1
-CMAKE_CXX_COMPILER_WORKS:INTERNAL=1
-//Advanced flag for variable: CMAKE_CXX_FLAGS
-CMAKE_CXX_FLAGS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_CXX_FLAGS_DEBUG
-CMAKE_CXX_FLAGS_DEBUG-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_CXX_FLAGS_MINSIZEREL
-CMAKE_CXX_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_CXX_FLAGS_RELEASE
-CMAKE_CXX_FLAGS_RELEASE-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_CXX_FLAGS_RELWITHDEBINFO
-CMAKE_CXX_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_COMPILER
-CMAKE_C_COMPILER-ADVANCED:INTERNAL=1
-CMAKE_C_COMPILER_WORKS:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_FLAGS
-CMAKE_C_FLAGS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_FLAGS_DEBUG
-CMAKE_C_FLAGS_DEBUG-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_FLAGS_MINSIZEREL
-CMAKE_C_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_FLAGS_RELEASE
-CMAKE_C_FLAGS_RELEASE-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_C_FLAGS_RELWITHDEBINFO
-CMAKE_C_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
-//Path to cache edit program executable.
-CMAKE_EDIT_COMMAND:INTERNAL=/usr/pack/cmake-2.4.5-mo/i686-debian-linux3.1/bin/ccmake
-//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS
-CMAKE_EXE_LINKER_FLAGS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_DEBUG
-CMAKE_EXE_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_MINSIZEREL
-//
-CMAKE_EXE_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_RELEASE
-CMAKE_EXE_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO
-//
-CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
-//Name of generator.
-CMAKE_GENERATOR:INTERNAL=Unix Makefiles
-//Start directory with the top level CMakeLists.txt file for this
-// project
-CMAKE_HOME_DIRECTORY:INTERNAL=/home/scheusso/orxonox/network
-//Advanced flag for variable: CMAKE_MAKE_PROGRAM
-CMAKE_MAKE_PROGRAM-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS
-CMAKE_MODULE_LINKER_FLAGS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_DEBUG
-CMAKE_MODULE_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL
-//
-CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_RELEASE
-//
-CMAKE_MODULE_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO
-//
-CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
-//number of local generators
-CMAKE_NUMBER_OF_LOCAL_GENERATORS:INTERNAL=2
-//Advanced flag for variable: CMAKE_RANLIB
-CMAKE_RANLIB-ADVANCED:INTERNAL=1
-//Path to CMake installation.
-CMAKE_ROOT:INTERNAL=/usr/pack/cmake-2.4.5-mo/i686-debian-linux3.1/share/cmake-2.4
-//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS
-CMAKE_SHARED_LINKER_FLAGS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_DEBUG
-CMAKE_SHARED_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL
-//
-CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_RELEASE
-//
-CMAKE_SHARED_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO
-//
-CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
-//Result of TRY_RUN
-CMAKE_SIZEOF_VOID_P:INTERNAL=4
-//Advanced flag for variable: CMAKE_SKIP_RPATH
-CMAKE_SKIP_RPATH-ADVANCED:INTERNAL=1
-//uname command
-CMAKE_UNAME:INTERNAL=/bin/uname
-//Advanced flag for variable: CMAKE_USE_RELATIVE_PATHS
-CMAKE_USE_RELATIVE_PATHS-ADVANCED:INTERNAL=1
-//Advanced flag for variable: CMAKE_VERBOSE_MAKEFILE
-CMAKE_VERBOSE_MAKEFILE-ADVANCED:INTERNAL=1
-//Result of TRY_COMPILE
-HAVE_CMAKE_SIZEOF_VOID_P:INTERNAL=TRUE
-OGRE_/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib/pkgconfig/OGRE.pc_INCLUDEDIR:INTERNAL=
-OGRE_/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib/pkgconfig/OGRE.pc_LIBDIR:INTERNAL=
-OGRE_/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib/pkgconfig/OGRE.pc_PREFIX:INTERNAL=
-OGRE_/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib/pkgconfig/OGRE.pc_VERSION:INTERNAL=
-OGRE_CFLAGS:INTERNAL=-DOGRE_GUI_gtk;-DOGRE_CONFIG_LITTLE_ENDIAN;-I/usr/pack/ogre-1.4.5-sd/include;-I/usr/pack/ogre-1.4.5-sd/include/OGRE
-OGRE_CFLAGS_I:INTERNAL=
-OGRE_CFLAGS_OTHER:INTERNAL=-DOGRE_GUI_gtk;-DOGRE_CONFIG_LITTLE_ENDIAN
-OGRE_FOUND:INTERNAL=1
-OGRE_INCLUDEDIR:INTERNAL=/usr/pack/ogre-1.4.5-sd/include
-OGRE_INCLUDE_DIRS:INTERNAL=/usr/pack/ogre-1.4.5-sd/include;/usr/pack/ogre-1.4.5-sd/include/OGRE
-OGRE_LDFLAGS:INTERNAL=-Wl,-rpath,/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib;-L/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib;-lOgreMain
-OGRE_LDFLAGS_OTHER:INTERNAL=-Wl,-rpath,/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib
-OGRE_LIBDIR:INTERNAL=/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib
-OGRE_LIBRARIES:INTERNAL=OgreMain
-OGRE_LIBRARY_DIRS:INTERNAL=/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib
-OGRE_LIBS:INTERNAL=
-OGRE_LIBS_L:INTERNAL=
-OGRE_LIBS_OTHER:INTERNAL=
-OGRE_LIBS_PATHS:INTERNAL=
-OGRE_OGRE_INCLUDEDIR:INTERNAL=
-OGRE_OGRE_LIBDIR:INTERNAL=
-OGRE_OGRE_PREFIX:INTERNAL=
-OGRE_OGRE_VERSION:INTERNAL=
-OGRE_PREFIX:INTERNAL=/usr/pack/ogre-1.4.5-sd
-OGRE_STATIC_CFLAGS:INTERNAL=-DOGRE_GUI_gtk;-DOGRE_CONFIG_LITTLE_ENDIAN;-I/usr/pack/ogre-1.4.5-sd/include;-I/usr/pack/ogre-1.4.5-sd/include/OGRE
-OGRE_STATIC_CFLAGS_I:INTERNAL=
-OGRE_STATIC_CFLAGS_OTHER:INTERNAL=-DOGRE_GUI_gtk;-DOGRE_CONFIG_LITTLE_ENDIAN
-OGRE_STATIC_INCLUDE_DIRS:INTERNAL=/usr/pack/ogre-1.4.5-sd/include;/usr/pack/ogre-1.4.5-sd/include/OGRE
-OGRE_STATIC_LDFLAGS:INTERNAL=-Wl,-rpath,/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib;-L/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib;-lOgreMain
-OGRE_STATIC_LDFLAGS_OTHER:INTERNAL=-Wl,-rpath,/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib
-OGRE_STATIC_LIBDIR:INTERNAL=
-OGRE_STATIC_LIBRARIES:INTERNAL=OgreMain
-OGRE_STATIC_LIBRARY_DIRS:INTERNAL=/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib
-OGRE_STATIC_LIBS:INTERNAL=
-OGRE_STATIC_LIBS_L:INTERNAL=
-OGRE_STATIC_LIBS_OTHER:INTERNAL=
-OGRE_STATIC_LIBS_PATHS:INTERNAL=
-OGRE_VERSION:INTERNAL=1.4.5
-OIS_/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib/pkgconfig/OIS.pc_INCLUDEDIR:INTERNAL=
-OIS_/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib/pkgconfig/OIS.pc_LIBDIR:INTERNAL=
-OIS_/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib/pkgconfig/OIS.pc_PREFIX:INTERNAL=
-OIS_/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib/pkgconfig/OIS.pc_VERSION:INTERNAL=
-OIS_CFLAGS:INTERNAL=-I/usr/pack/ois-1.0-sd/include/OIS;-I/usr/pack/ois-1.0-sd/include
-OIS_CFLAGS_I:INTERNAL=
-OIS_CFLAGS_OTHER:INTERNAL=
-OIS_FOUND:INTERNAL=1
-OIS_INCLUDEDIR:INTERNAL=/usr/pack/ois-1.0-sd/include
-OIS_INCLUDE_DIRS:INTERNAL=/usr/pack/ois-1.0-sd/include/OIS;/usr/pack/ois-1.0-sd/include
-OIS_LDFLAGS:INTERNAL=-Wl,-rpath,/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib;-L/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib;-lOIS
-OIS_LDFLAGS_OTHER:INTERNAL=-Wl,-rpath,/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib
-OIS_LIBDIR:INTERNAL=/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib
-OIS_LIBRARIES:INTERNAL=OIS
-OIS_LIBRARY_DIRS:INTERNAL=/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib
-OIS_LIBS:INTERNAL=
-OIS_LIBS_L:INTERNAL=
-OIS_LIBS_OTHER:INTERNAL=
-OIS_LIBS_PATHS:INTERNAL=
-OIS_OIS_INCLUDEDIR:INTERNAL=
-OIS_OIS_LIBDIR:INTERNAL=
-OIS_OIS_PREFIX:INTERNAL=
-OIS_OIS_VERSION:INTERNAL=
-OIS_PREFIX:INTERNAL=/usr/pack/ois-1.0-sd
-OIS_STATIC_CFLAGS:INTERNAL=-I/usr/pack/ois-1.0-sd/include/OIS;-I/usr/pack/ois-1.0-sd/include
-OIS_STATIC_CFLAGS_I:INTERNAL=
-OIS_STATIC_CFLAGS_OTHER:INTERNAL=
-OIS_STATIC_INCLUDE_DIRS:INTERNAL=/usr/pack/ois-1.0-sd/include/OIS;/usr/pack/ois-1.0-sd/include
-OIS_STATIC_LDFLAGS:INTERNAL=-Wl,-rpath,/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib;-L/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib;-lOIS
-OIS_STATIC_LDFLAGS_OTHER:INTERNAL=-Wl,-rpath,/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib
-OIS_STATIC_LIBDIR:INTERNAL=
-OIS_STATIC_LIBRARIES:INTERNAL=OIS
-OIS_STATIC_LIBRARY_DIRS:INTERNAL=/usr/pack/ois-1.0-sd/i686-debian-linux3.1/lib
-OIS_STATIC_LIBS:INTERNAL=
-OIS_STATIC_LIBS_L:INTERNAL=
-OIS_STATIC_LIBS_OTHER:INTERNAL=
-OIS_STATIC_LIBS_PATHS:INTERNAL=
-OIS_VERSION:INTERNAL=1.0.0
-//Advanced flag for variable: PKG_CONFIG_EXECUTABLE
-PKG_CONFIG_EXECUTABLE-ADVANCED:INTERNAL=1
-__pkg_config_checked_OGRE:INTERNAL=1
-__pkg_config_checked_OIS:INTERNAL=1
-
Index: code/branches/network/Orxonox.kdevelop
===================================================================
--- code/branches/network/Orxonox.kdevelop	(revision 97)
+++ code/branches/network/Orxonox.kdevelop	(revision 98)
@@ -2,6 +2,6 @@
 <kdevelop>
   <general>
-    <author></author>
-    <email></email>
+    <author/>
+    <email/>
     <version>$VERSION$</version>
     <projectmanagement>KDevCustomProject</projectmanagement>
@@ -14,6 +14,6 @@
     </secondaryLanguages>
     <projectname>Orxonox</projectname>
-    <description></description>
-    <defaultencoding></defaultencoding>
+    <description/>
+    <defaultencoding/>
   </general>
   <kdevcustomproject>
@@ -23,9 +23,9 @@
       <directoryradio>custom</directoryradio>
       <customdirectory>/home/scheusso/orxonox/network</customdirectory>
-      <programargs></programargs>
+      <programargs/>
       <terminal>false</terminal>
       <autocompile>true</autocompile>
       <envvars/>
-      <globaldebugarguments></globaldebugarguments>
+      <globaldebugarguments/>
       <globalcwd>/home/scheusso/orxonox/network/bin/</globalcwd>
       <useglobalprogram>false</useglobalprogram>
@@ -41,5 +41,5 @@
       <numberofjobs>1</numberofjobs>
       <dontact>false</dontact>
-      <makebin></makebin>
+      <makebin/>
       <selectedenvironment>default</selectedenvironment>
       <environments>
@@ -47,5 +47,5 @@
       </environments>
       <prio>0</prio>
-      <defaulttarget></defaulttarget>
+      <defaulttarget/>
       <makeoptions>-I ./net/</makeoptions>
     </make>
@@ -69,7 +69,7 @@
     <other>
       <prio>0</prio>
-      <otherbin></otherbin>
-      <defaulttarget></defaulttarget>
-      <otheroptions></otheroptions>
+      <otherbin/>
+      <defaulttarget/>
+      <otheroptions/>
       <selectedenvironment>default</selectedenvironment>
       <environments>
@@ -136,12 +136,12 @@
       <version>3</version>
       <includestyle>3</includestyle>
-      <root>/usr/pack/qt-3.3.6-mo/i686-debian-linux3.1</root>
+      <root>/usr/qt/3</root>
       <designerintegration>EmbeddedKDevDesigner</designerintegration>
-      <qmake>/usr/pack/qt-3.3.6-mo/i686-debian-linux3.1/bin/qmake</qmake>
-      <designer>/usr/pack/qt-3.3.6-mo/i686-debian-linux3.1/bin/designer</designer>
+      <qmake>/usr/qt/3/bin/qmake</qmake>
+      <designer>/usr/qt/3/bin/designer</designer>
       <designerpluginpaths/>
     </qt>
     <creategettersetter>
-      <prefixGet></prefixGet>
+      <prefixGet/>
       <prefixSet>set</prefixSet>
       <prefixVariable>m_,_</prefixVariable>
@@ -172,9 +172,9 @@
   <kdevdebugger>
     <general>
-      <gdbpath></gdbpath>
-      <dbgshell></dbgshell>
-      <configGdbScript></configGdbScript>
-      <runShellScript></runShellScript>
-      <runGdbScript></runGdbScript>
+      <gdbpath/>
+      <dbgshell/>
+      <configGdbScript/>
+      <runShellScript/>
+      <runGdbScript/>
       <breakonloadinglibs>true</breakonloadinglibs>
       <separatetty>false</separatetty>
Index: code/branches/network/Orxonox.kdevelop.filelist
===================================================================
--- code/branches/network/Orxonox.kdevelop.filelist	(revision 97)
+++ code/branches/network/Orxonox.kdevelop.filelist	(revision 98)
@@ -9,3 +9,53 @@
 Makefile
 src
-src/Makefile
+zig2.1.0
+zig2.1.0/minigame
+zig2.1.0/minigame/conalleg.cpp
+zig2.1.0/minigame/conalleg.h
+zig2.1.0/minigame/gameclient.cpp
+zig2.1.0/minigame/gameclient.h
+zig2.1.0/minigame/gameserver.cpp
+zig2.1.0/minigame/gameserver.h
+zig2.1.0/minigame/main.cpp
+zig2.1.0/minigame/main.h
+zig2.1.0/minigame/Makefile
+zig2.1.0/ziglib
+zig2.1.0/ziglib/include
+zig2.1.0/ziglib/include/nl.h
+zig2.1.0/ziglib/include/zig
+zig2.1.0/ziglib/include/zig/address.h
+zig2.1.0/ziglib/include/zig/buffer.h
+zig2.1.0/ziglib/include/zig/bzip2.h
+zig2.1.0/ziglib/include/zig/client.h
+zig2.1.0/ziglib/include/zig/console.h
+zig2.1.0/ziglib/include/zig/leetnet.h
+zig2.1.0/ziglib/include/zig/log.h
+zig2.1.0/ziglib/include/zig/msocket.h
+zig2.1.0/ziglib/include/zig/pfilesys.h
+zig2.1.0/ziglib/include/zig/server.h
+zig2.1.0/ziglib/include/zig/serverinfo.h
+zig2.1.0/ziglib/include/zig/station.h
+zig2.1.0/ziglib/include/zig/typereg.h
+zig2.1.0/ziglib/include/zig/utils.h
+zig2.1.0/ziglib/include/zig/zigclient.h
+zig2.1.0/ziglib/include/zig/zigdefs.h
+zig2.1.0/ziglib/include/zig/zig.h
+zig2.1.0/ziglib/include/zig/zigserver.h
+zig2.1.0/ziglib/src
+zig2.1.0/ziglib/src/address.cpp
+zig2.1.0/ziglib/src/buffer.cpp
+zig2.1.0/ziglib/src/bzip2.cpp
+zig2.1.0/ziglib/src/client.cpp
+zig2.1.0/ziglib/src/console.cpp
+zig2.1.0/ziglib/src/log.cpp
+zig2.1.0/ziglib/src/Makefile
+zig2.1.0/ziglib/src/msocket.cpp
+zig2.1.0/ziglib/src/pfilesys.cpp
+zig2.1.0/ziglib/src/server.cpp
+zig2.1.0/ziglib/src/serverinfo.cpp
+zig2.1.0/ziglib/src/station.cpp
+zig2.1.0/ziglib/src/typereg.cpp
+zig2.1.0/ziglib/src/utils.cpp
+zig2.1.0/ziglib/src/zigclient.cpp
+zig2.1.0/ziglib/src/zig.cpp
+zig2.1.0/ziglib/src/zigserver.cpp
Index: code/branches/network/Orxonox.kdevses
===================================================================
--- code/branches/network/Orxonox.kdevses	(revision 97)
+++ code/branches/network/Orxonox.kdevses	(revision 98)
@@ -2,11 +2,8 @@
 <!DOCTYPE KDevPrjSession>
 <KDevPrjSession>
- <DocsAndViews NumberOfDocuments="2" >
-  <Doc0 NumberOfViews="1" URL="file:///home/scheusso/orxonox/network/src/orxonox.cc" >
-   <View0 Encoding="" line="27" Type="Source" />
+ <DocsAndViews NumberOfDocuments="1" >
+  <Doc0 NumberOfViews="1" URL="file:///pub/eth/orxonox/network/src/orxonox.cc" >
+   <View0 Encoding="" line="0" Type="Source" />
   </Doc0>
-  <Doc1 NumberOfViews="1" URL="file:///home/scheusso/orxonox/network/src/tnl/tnlVector.h" >
-   <View0 Encoding="" line="316" Type="Source" />
-  </Doc1>
  </DocsAndViews>
  <pluginList>
Index: code/branches/network/src/orxonox.cc
===================================================================
--- code/branches/network/src/orxonox.cc	(revision 97)
+++ code/branches/network/src/orxonox.cc	(revision 98)
@@ -26,90 +26,123 @@
  */
 
-#include "tnl.h" 
-#include "tnlEventConnection.h" 
-#include "tnlNetInterface.h" 
-#include "tnlRPC.h" 
-#include <stdio.h> 
-bool gQuit = false; // a flag used when the client wants to quit. using namespace TNL; // make sure we can simply use the TNL classes. 
+// TODO: Change this to orxonox.h and include all necessary functions there
+#include "ExampleApplication.h"
 
-class SimpleEventConnection : public EventConnection
+// TODO: Put creation of SceneNode and implementation of FrameListener into an extern file
+SceneNode *lightNode;
+
+class FrameListener : public ExampleFrameListener
 {
-    typedef EventConnection Parent;
+  public:
+    FrameListener(RenderWindow* win, Camera* cam, SceneManager *sceneMgr)
+  : ExampleFrameListener(win, cam, false, false)
+    {
+    }
 
-public:
-    // Let the network system know this is a valid network connection.
-    TNL_DECLARE_NETCONNECTION(SimpleEventConnection);
+    bool frameStarted(const FrameEvent &evt)
+    {
+        // add tutorial code here:
+        // ...
+      lightNode->translate(Vector3(0, -10 * evt.timeSinceLastFrame, 0));
 
-    // declare the client to server message
-    TNL_DECLARE_RPC(rpcMessageClientToServer, (const char *theMessageString));
-
-    // declare the server to client message
-    TNL_DECLARE_RPC(rpcMessageServerToClient, (const char *theMessageString));
+      return ExampleFrameListener::frameStarted(evt);
+    }
+  private:
 };
 
-TNL_IMPLEMENT_NETCONNECTION(SimpleEventConnection, NetClassGroupGame, true);
-
-TNL_IMPLEMENT_RPC(SimpleEventConnection, rpcMessageClientToServer, (const char *messageString), NetClassGroupGameMask, RPCGuaranteedOrdered, RPCDirClientToServer, 0)
+// TODO: Make Doxygen tags work and create scene AFTER loading in an extern file
+//! This is the application class of Orxonox
+/**
+  Application class. The starting point of Orxonox.
+  Loading of ressources should start in here.
+  ...
+*/
+class Orxonox : public ExampleApplication
 {
-    // display the message the client sent
-    printf("Got message from client: %s\n", messageString);
-    // send a hello world back to the client.
-    rpcMessageServerToClient("Hello, World!");
-}
-
-TNL_IMPLEMENT_RPC(SimpleEventConnection, rpcMessageServerToClient, (const char *messageString), NetClassGroupGameMask, RPCGuaranteedOrdered, RPCDirServerToClient, 0)
-{
-    // display the message the server sent
-    printf("Got a message from server: %s\n", messageString);
-
-    // once the client has heard back from the server, it should quit.
-    gQuit = true;
-}
-
-int main(int argc, const char **argv)
-{
-    if(argc != 3)
+  protected:
+  public:
+    Orxonox()
     {
-        printf("usage: simpletnltest <-server|-client> <connectAddress>");
-        return 1;
-    }
-    bool isClient = !strcmp(argv[1], "-client");
-
-    // convert the command-line address into TNL address form
-    Address cmdAddress(argv[2]);
-
-    RefPtr<NetInterface> theNetInterface;
-    if(isClient)
-    {
-        Address bindAddress(IPProtocol, Address::Any, 0);
-
-        // create a new NetInterface bound to any interface, any port (0)
-        theNetInterface = new NetInterface(bindAddress);
-        
-        // create a new SimpleEventConnection and tell it to connect to the
-        // server at cmdAddress.
-        SimpleEventConnection *newConnection = new SimpleEventConnection;
-        newConnection->connect(theNetInterface, cmdAddress);
-
-        // post an RPC, to be executed when the connection is established
-        newConnection->rpcMessageClientToServer("Hello??");
-    }
-    else
-    {
-        // create a server net interface, bound to the cmdAddress
-        theNetInterface = new NetInterface(cmdAddress);
-
-        // notify the NetInterface that it can allow connections
-        theNetInterface->setAllowsConnections(true);
     }
 
-    // now just loop, processing incoming packets and sending outgoing packets
-    // until the global quit flag is set.
-    while(!gQuit)
+    ~Orxonox()
     {
-         theNetInterface->checkIncomingPackets();
-         theNetInterface->processConnections();
-         Platform::sleep(1);
     }
-    return 0;
+  protected:
+    void createCamera(void)
+    {
+        // create camera
+      mCamera = mSceneMgr->createCamera("PlayerCam");
+      mCamera->setNearClipDistance(5);
+      mCamera->setPosition(Vector3(0,10,500));
+      mCamera->lookAt(Vector3(0,0,0));
+    }
+
+    void createScene(void)
+    {
+        // add tutorial code here:
+        // ...
+      mSceneMgr->setAmbientLight( ColourValue( 0.3, 0.3, 0.3 ) );
+      //Entity* head = mSceneMgr->createEntity("head", "ogrehead.mesh");
+
+      //Entity* head2 = mSceneMgr->createEntity("head2", "ogrehead.mesh");
+
+      SceneNode *node = mSceneMgr->getRootSceneNode()->createChildSceneNode( "OgreHeadNode", Vector3( 0, 0, 0 ) );
+      //node->attachObject( head );
+
+      SceneNode *node2 = mSceneMgr->getRootSceneNode()->createChildSceneNode( "OgreHeadNode2", Vector3( 50, 0, 0 ) );
+      //node2->attachObject( head2 );
+
+
+      //mSceneMgr->setSkyBox(true, "Examples/SpaceSkyBox");
+
+      Light *light = mSceneMgr->createLight("Light1");
+      light->setType(Light::LT_POINT);
+      light->setPosition(Vector3(0, 100, 0));
+      light->setDiffuseColour(0.5, 0.5, 0.0);
+      light->setSpecularColour(0.5, 0.5, 0.0);
+
+      BillboardSet *bbs = mSceneMgr->createBillboardSet("bb", 1);
+      bbs->createBillboard(Vector3::ZERO, ColourValue(1.0, 0.0, 0.0));
+      //bbs->setMaterialName("Examples/Flare");
+
+      lightNode = mSceneMgr->getRootSceneNode()->createChildSceneNode("LightNode", Vector3(0, 100, 0));
+      lightNode->attachObject(bbs);
+      lightNode->attachObject(light);
+      light->setPosition(0.0, 0.0, 0.0);
+    }
+
+    void createFrameListener(void)
+    {
+        // create frame listener
+      mFrameListener = new ExampleFrameListener(mWindow, mCamera, mSceneMgr);
+      mRoot->addFrameListener(mFrameListener);
+    }
+};
+
+#if OGRE_PLATFORM == OGRE_PLATFORM_WIN32
+#define WIN32_LEAN_AND_MEAN
+#include "windows.h"
+
+INT WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR strCmdLine, INT )
+#else
+
+int main(int argc, char **argv)
+#endif
+{
+  // Create application object
+  Orxonox orxonox;
+
+  try {
+    orxonox.go();
+  } catch( Exception& e ) {
+#if OGRE_PLATFORM == OGRE_PLATFORM_WIN32
+    MessageBox( NULL, e.getFullDescription().c_str(), "An exception has occurred!", MB_OK | MB_ICONERROR | MB_TASKMODAL);
+#else
+    fprintf(stderr, "An exception has occurred: %s\n",
+            e.getFullDescription().c_str());
+#endif
+  }
+
+  return 0;
 }