Index: /code/branches/mainloop/bin/resources.cfg
===================================================================
--- /code/branches/mainloop/bin/resources.cfg	(revision 99)
+++ /code/branches/mainloop/bin/resources.cfg	(revision 100)
@@ -21,3 +21,3 @@
 #Zip=../Media/packs/fresneldemo.zip
 #Zip=../Media/packs/ogretestmap.zip
-Zip=../Media/packs/skybox.zip
+#Zip=../Media/packs/skybox.zip
Index: de/branches/network/Orxonox.kdevelop
===================================================================
--- /code/branches/network/Orxonox.kdevelop	(revision 99)
+++ 	(revision )
@@ -1,189 +1,0 @@
-<?xml version = '1.0'?>
-<kdevelop>
-  <general>
-    <author/>
-    <email/>
-    <version>$VERSION$</version>
-    <projectmanagement>KDevCustomProject</projectmanagement>
-    <primarylanguage>C++</primarylanguage>
-    <ignoreparts/>
-    <projectdirectory>/home/scheusso/orxonox/network</projectdirectory>
-    <absoluteprojectpath>true</absoluteprojectpath>
-    <secondaryLanguages>
-      <language>C</language>
-    </secondaryLanguages>
-    <projectname>Orxonox</projectname>
-    <description/>
-    <defaultencoding/>
-  </general>
-  <kdevcustomproject>
-    <filelistdirectory>/home/scheusso/orxonox/network</filelistdirectory>
-    <run>
-      <mainprogram>/home/scheusso/orxonox/network</mainprogram>
-      <directoryradio>custom</directoryradio>
-      <customdirectory>/home/scheusso/orxonox/network</customdirectory>
-      <programargs/>
-      <terminal>false</terminal>
-      <autocompile>true</autocompile>
-      <envvars/>
-      <globaldebugarguments/>
-      <globalcwd>/home/scheusso/orxonox/network/bin/</globalcwd>
-      <useglobalprogram>false</useglobalprogram>
-      <autoinstall>false</autoinstall>
-      <autokdesu>false</autokdesu>
-    </run>
-    <build>
-      <buildtool>make</buildtool>
-      <builddir>/home/scheusso/orxonox/network</builddir>
-    </build>
-    <make>
-      <abortonerror>false</abortonerror>
-      <numberofjobs>1</numberofjobs>
-      <dontact>false</dontact>
-      <makebin/>
-      <selectedenvironment>default</selectedenvironment>
-      <environments>
-        <default/>
-      </environments>
-      <prio>0</prio>
-      <defaulttarget/>
-      <makeoptions>-I ./net/</makeoptions>
-    </make>
-    <filetypes>
-      <filetype>*.java</filetype>
-      <filetype>*.h</filetype>
-      <filetype>*.H</filetype>
-      <filetype>*.hh</filetype>
-      <filetype>*.hxx</filetype>
-      <filetype>*.hpp</filetype>
-      <filetype>*.c</filetype>
-      <filetype>*.C</filetype>
-      <filetype>*.cc</filetype>
-      <filetype>*.cpp</filetype>
-      <filetype>*.c++</filetype>
-      <filetype>*.cxx</filetype>
-      <filetype>Makefile</filetype>
-      <filetype>CMakeLists.txt</filetype>
-    </filetypes>
-    <blacklist/>
-    <other>
-      <prio>0</prio>
-      <otherbin/>
-      <defaulttarget/>
-      <otheroptions/>
-      <selectedenvironment>default</selectedenvironment>
-      <environments>
-        <default/>
-      </environments>
-    </other>
-  </kdevcustomproject>
-  <kdevfilecreate>
-    <filetypes/>
-    <useglobaltypes>
-      <type ext="ui" />
-      <type ext="cpp" />
-      <type ext="h" />
-    </useglobaltypes>
-  </kdevfilecreate>
-  <kdevdoctreeview>
-    <projectdoc>
-      <userdocDir>html/</userdocDir>
-      <apidocDir>html/</apidocDir>
-    </projectdoc>
-    <ignoreqt_xml/>
-    <ignoredoxygen/>
-    <ignorekdocs/>
-    <ignoretocs/>
-    <ignoredevhelp/>
-  </kdevdoctreeview>
-  <cppsupportpart>
-    <filetemplates>
-      <interfacesuffix>.h</interfacesuffix>
-      <implementationsuffix>.cpp</implementationsuffix>
-    </filetemplates>
-  </cppsupportpart>
-  <kdevcppsupport>
-    <codecompletion>
-      <includeGlobalFunctions>true</includeGlobalFunctions>
-      <includeTypes>true</includeTypes>
-      <includeEnums>true</includeEnums>
-      <includeTypedefs>false</includeTypedefs>
-      <automaticCodeCompletion>true</automaticCodeCompletion>
-      <automaticArgumentsHint>true</automaticArgumentsHint>
-      <automaticHeaderCompletion>true</automaticHeaderCompletion>
-      <codeCompletionDelay>250</codeCompletionDelay>
-      <argumentsHintDelay>400</argumentsHintDelay>
-      <headerCompletionDelay>250</headerCompletionDelay>
-      <showOnlyAccessibleItems>false</showOnlyAccessibleItems>
-      <completionBoxItemOrder>0</completionBoxItemOrder>
-      <howEvaluationContextMenu>true</howEvaluationContextMenu>
-      <showCommentWithArgumentHint>true</showCommentWithArgumentHint>
-      <statusBarTypeEvaluation>false</statusBarTypeEvaluation>
-      <namespaceAliases>std=_GLIBCXX_STD;__gnu_cxx=std</namespaceAliases>
-      <processPrimaryTypes>true</processPrimaryTypes>
-      <processFunctionArguments>false</processFunctionArguments>
-      <preProcessAllHeaders>false</preProcessAllHeaders>
-      <parseMissingHeadersExperimental>false</parseMissingHeadersExperimental>
-      <resolveIncludePathsUsingMakeExperimental>false</resolveIncludePathsUsingMakeExperimental>
-      <alwaysParseInBackground>true</alwaysParseInBackground>
-      <usePermanentCaching>true</usePermanentCaching>
-      <alwaysIncludeNamespaces>false</alwaysIncludeNamespaces>
-      <includePaths>.;raknet;</includePaths>
-    </codecompletion>
-    <references/>
-    <qt>
-      <used>false</used>
-      <version>3</version>
-      <includestyle>3</includestyle>
-      <root>/usr/qt/3</root>
-      <designerintegration>EmbeddedKDevDesigner</designerintegration>
-      <qmake>/usr/qt/3/bin/qmake</qmake>
-      <designer>/usr/qt/3/bin/designer</designer>
-      <designerpluginpaths/>
-    </qt>
-    <creategettersetter>
-      <prefixGet/>
-      <prefixSet>set</prefixSet>
-      <prefixVariable>m_,_</prefixVariable>
-      <parameterName>theValue</parameterName>
-      <inlineGet>true</inlineGet>
-      <inlineSet>true</inlineSet>
-    </creategettersetter>
-    <splitheadersource>
-      <enabled>false</enabled>
-      <synchronize>true</synchronize>
-      <orientation>Vertical</orientation>
-    </splitheadersource>
-  </kdevcppsupport>
-  <kdevfileview>
-    <groups>
-      <group pattern="CMakeLists.txt;*.cmake;" name="CMake" />
-      <group pattern="*.h;*.hxx" name="Header" />
-      <group pattern="*.cpp;*.c;*.C;*.cxx" name="Sources" />
-      <group pattern="*.ui" name="Qt Designer files" />
-      <hidenonprojectfiles>true</hidenonprojectfiles>
-      <hidenonlocation>false</hidenonlocation>
-    </groups>
-    <tree>
-      <hidepatterns>*.o,*.lo,CVS,*~,cmake*</hidepatterns>
-      <hidenonprojectfiles>true</hidenonprojectfiles>
-    </tree>
-  </kdevfileview>
-  <kdevdebugger>
-    <general>
-      <gdbpath/>
-      <dbgshell/>
-      <configGdbScript/>
-      <runShellScript/>
-      <runGdbScript/>
-      <breakonloadinglibs>true</breakonloadinglibs>
-      <separatetty>false</separatetty>
-      <floatingtoolbar>false</floatingtoolbar>
-    </general>
-    <display>
-      <staticmembers>false</staticmembers>
-      <demanglenames>true</demanglenames>
-      <outputradix>10</outputradix>
-    </display>
-  </kdevdebugger>
-</kdevelop>
Index: de/branches/network/Orxonox.kdevelop.filelist
===================================================================
--- /code/branches/network/Orxonox.kdevelop.filelist	(revision 99)
+++ 	(revision )
@@ -1,61 +1,0 @@
-# KDevelop Custom Project File List
-src/ExampleApplication.h
-src/ExampleFrameListener.h
-CMakeLists.txt
-cmake/FindOGRE.cmake
-cmake/FindOIS.cmake
-cmake/FindPkgConfig.cmake
-src/CMakeLists.txt
-Makefile
-src
-zig2.1.0
-zig2.1.0/minigame
-zig2.1.0/minigame/conalleg.cpp
-zig2.1.0/minigame/conalleg.h
-zig2.1.0/minigame/gameclient.cpp
-zig2.1.0/minigame/gameclient.h
-zig2.1.0/minigame/gameserver.cpp
-zig2.1.0/minigame/gameserver.h
-zig2.1.0/minigame/main.cpp
-zig2.1.0/minigame/main.h
-zig2.1.0/minigame/Makefile
-zig2.1.0/ziglib
-zig2.1.0/ziglib/include
-zig2.1.0/ziglib/include/nl.h
-zig2.1.0/ziglib/include/zig
-zig2.1.0/ziglib/include/zig/address.h
-zig2.1.0/ziglib/include/zig/buffer.h
-zig2.1.0/ziglib/include/zig/bzip2.h
-zig2.1.0/ziglib/include/zig/client.h
-zig2.1.0/ziglib/include/zig/console.h
-zig2.1.0/ziglib/include/zig/leetnet.h
-zig2.1.0/ziglib/include/zig/log.h
-zig2.1.0/ziglib/include/zig/msocket.h
-zig2.1.0/ziglib/include/zig/pfilesys.h
-zig2.1.0/ziglib/include/zig/server.h
-zig2.1.0/ziglib/include/zig/serverinfo.h
-zig2.1.0/ziglib/include/zig/station.h
-zig2.1.0/ziglib/include/zig/typereg.h
-zig2.1.0/ziglib/include/zig/utils.h
-zig2.1.0/ziglib/include/zig/zigclient.h
-zig2.1.0/ziglib/include/zig/zigdefs.h
-zig2.1.0/ziglib/include/zig/zig.h
-zig2.1.0/ziglib/include/zig/zigserver.h
-zig2.1.0/ziglib/src
-zig2.1.0/ziglib/src/address.cpp
-zig2.1.0/ziglib/src/buffer.cpp
-zig2.1.0/ziglib/src/bzip2.cpp
-zig2.1.0/ziglib/src/client.cpp
-zig2.1.0/ziglib/src/console.cpp
-zig2.1.0/ziglib/src/log.cpp
-zig2.1.0/ziglib/src/Makefile
-zig2.1.0/ziglib/src/msocket.cpp
-zig2.1.0/ziglib/src/pfilesys.cpp
-zig2.1.0/ziglib/src/server.cpp
-zig2.1.0/ziglib/src/serverinfo.cpp
-zig2.1.0/ziglib/src/station.cpp
-zig2.1.0/ziglib/src/typereg.cpp
-zig2.1.0/ziglib/src/utils.cpp
-zig2.1.0/ziglib/src/zigclient.cpp
-zig2.1.0/ziglib/src/zig.cpp
-zig2.1.0/ziglib/src/zigserver.cpp
Index: de/branches/network/Orxonox.kdevses
===================================================================
--- /code/branches/network/Orxonox.kdevses	(revision 99)
+++ 	(revision )
@@ -1,28 +1,0 @@
-<?xml version = '1.0' encoding = 'UTF-8'?>
-<!DOCTYPE KDevPrjSession>
-<KDevPrjSession>
- <DocsAndViews NumberOfDocuments="1" >
-  <Doc0 NumberOfViews="1" URL="file:///pub/eth/orxonox/network/src/orxonox.cc" >
-   <View0 Encoding="" line="0" Type="Source" />
-  </Doc0>
- </DocsAndViews>
- <pluginList>
-  <kdevdebugger>
-   <breakpointList/>
-   <showInternalCommands value="0" />
-  </kdevdebugger>
-  <kdevastyle>
-   <Extensions ext="*.cpp *.h,*.c *.h,*.cxx *.hxx,*.c++ *.h++,*.cc *.hh,*.C *.H,*.diff,*.inl,*.java,*.moc,*.patch,*.tlh,*.xpm" />
-   <AStyle IndentPreprocessors="0" FillCount="4" PadParenthesesOut="1" IndentNamespaces="1" IndentLabels="1" Fill="Tabs" MaxStatement="40" Brackets="Break" MinConditional="-1" IndentBrackets="0" PadParenthesesUn="1" BlockBreak="0" KeepStatements="1" KeepBlocks="1" BlockIfElse="0" IndentSwitches="1" PadOperators="0" FStyle="UserDefined" IndentCases="0" FillEmptyLines="0" BracketsCloseHeaders="0" BlockBreakAll="0" PadParenthesesIn="1" IndentClasses="1" IndentBlocks="0" FillForce="0" />
-  </kdevastyle>
-  <kdevbookmarks>
-   <bookmarks/>
-  </kdevbookmarks>
-  <kdevvalgrind>
-   <executable path="" params="" />
-   <valgrind path="" params="" />
-   <calltree path="" params="" />
-   <kcachegrind path="" />
-  </kdevvalgrind>
- </pluginList>
-</KDevPrjSession>