Index: code/trunk/CMakeLists.txt
===================================================================
--- code/trunk/CMakeLists.txt	(revision 107)
+++ code/trunk/CMakeLists.txt	(revision 112)
@@ -40,9 +40,13 @@
 FIND_PACKAGE(OGRE)
 FIND_PACKAGE(OIS)
+FIND_PACKAGE(CEGUI)
+FIND_PACKAGE(CEGUI_OPENGL)
+FIND_PACKAGE(CEGUI_OGRE)
+
 
 #Sets the search paths for the linking
-LINK_DIRECTORIES(${OGRE_LIB_DIR} ${OIS_LIB_DIR})
+LINK_DIRECTORIES(${OGRE_LIB_DIR} ${OIS_LIB_DIR} ${CEGUI_LIB_DIR} ${CEGUI_OGRE_LIB_DIR} ${CEGUI_OGRE_LIB_DIR})
 #Sets the search path for include files
-INCLUDE_DIRECTORIES(${OGRE_INCLUDE_DIR} ${OIS_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${OGRE_INCLUDE_DIR} ${OIS_INCLUDE_DIR} ${CEGUI_INCLUDE_DIR} ${CEGUI_OGRE_INCLUDE_DIR} ${CEGUI_OGRE_INCLUDE_DIR})
 
 #add main source dir
Index: code/trunk/cmake/FindCEGUI.cmake
===================================================================
--- code/trunk/cmake/FindCEGUI.cmake	(revision 112)
+++ code/trunk/cmake/FindCEGUI.cmake	(revision 112)
@@ -0,0 +1,54 @@
+# Find CEGUI includes and library
+#
+# This module defines
+#  CEGUI_INCLUDE_DIR
+#  CEGUI_LIBRARIES, the libraries to link against to use CEGUI.
+#  CEGUI_LIB_DIR, the location of the libraries
+#  CEGUI_FOUND, If false, do not try to use CEGUI
+#
+# Copyright © 2007, Matt Williams
+# Modified by Nicolas Schlumberger to make it work on the Tardis-Infrastucture of the ETH Zurich
+#
+# Redistribution and use is allowed according to the terms of the BSD license.
+
+IF (CEGUI_LIBRARIES AND CEGUI_INCLUDE_DIR)
+    SET(CEGUI_FIND_QUIETLY TRUE) # Already in cache, be silent
+ENDIF (CEGUI_LIBRARIES AND CEGUI_INCLUDE_DIR)
+
+IF (WIN32) #Windows
+    MESSAGE(STATUS "Looking for CEGUI")
+    SET(CEGUISDK $ENV{CEGUI_HOME})
+    STRING(REGEX REPLACE "[\\]" "/" CEGUISDK "${CEGUISDK}" )
+    SET(CEGUI_INCLUDE_DIR ${CEGUISDK}/include)
+    SET(CEGUI_LIB_DIR ${CEGUISDK}/lib)
+    SET(CEGUI_LIBRARIES debug OgreMain_d optimized OgreMain)
+ELSE (WIN32) #Unix
+    FIND_PACKAGE(PkgConfig)
+    PKG_SEARCH_MODULE(CEGUI CEGUI CEGUI-OPENGL /usr/pack/cegui-0.5.0-sd/i686-debian-linux3.1/lib/pkgconfig/CEGUI.pc /usr/pack/cegui-0.5.0-sd/i686-debian-linux3.1/lib/pkgconfig/CEGUI_OPENGL.pc) # tardis specific hack
+    SET(CEGUI_INCLUDE_DIR ${CEGUI_INCLUDE_DIRS})
+    SET(CEGUI_LIB_DIR ${CEGUI_LIBDIR})
+    SET(CEGUI_LIBRARIES ${CEGUI_LIBRARIES} CACHE STRING "")
+ENDIF (WIN32)
+
+#Do some preparation
+SEPARATE_ARGUMENTS(CEGUI_INCLUDE_DIR)
+SEPARATE_ARGUMENTS(CEGUI_LIBRARIES)
+
+SET(CEGUI_INCLUDE_DIR ${CEGUI_INCLUDE_DIR} CACHE PATH "")
+SET(CEGUI_LIBRARIES ${CEGUI_LIBRARIES} CACHE STRING "")
+SET(CEGUI_LIB_DIR ${CEGUI_LIB_DIR} CACHE PATH "")
+
+IF (CEGUI_INCLUDE_DIR AND CEGUI_LIBRARIES)
+    SET(CEGUI_FOUND TRUE)
+ENDIF (CEGUI_INCLUDE_DIR AND CEGUI_LIBRARIES)
+
+IF (CEGUI_FOUND)
+    IF (NOT CEGUI_FIND_QUIETLY)
+        MESSAGE(STATUS "  libraries : ${CEGUI_LIBRARIES} from ${CEGUI_LIB_DIR}")
+        MESSAGE(STATUS "  includes  : ${CEGUI_INCLUDE_DIR}")
+    ENDIF (NOT CEGUI_FIND_QUIETLY)
+ELSE (CEGUI_FOUND)
+    IF (CEGUI_FIND_REQUIRED)
+        MESSAGE(FATAL_ERROR "Could not find CEGUI")
+    ENDIF (CEGUI_FIND_REQUIRED)
+ENDIF (CEGUI_FOUND)
Index: code/trunk/cmake/FindCEGUI_OGRE.cmake
===================================================================
--- code/trunk/cmake/FindCEGUI_OGRE.cmake	(revision 112)
+++ code/trunk/cmake/FindCEGUI_OGRE.cmake	(revision 112)
@@ -0,0 +1,54 @@
+# Find CEGUI_OGRE includes and library
+#
+# This module defines
+#  CEGUI_CEGUI_OGRE_INCLUDE_DIR
+#  CEGUI_OGRE_LIBRARIES, the libraries to link against to use CEGUI_OGRE.
+#  CEGUI_OGRE_LIB_DIR, the location of the libraries
+#  CEGUI_OGRE_FOUND, If false, do not try to use CEGUI_OGRE
+#
+# Copyright © 2007, Matt Williams
+# Modified by Nicolas Schlumberger to make it work on the Tardis-Infrastucture of the ETH Zurich
+#
+# Redistribution and use is allowed according to the terms of the BSD license.
+
+IF (CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_INCLUDE_DIR)
+    SET(CEGUI_OGRE_FIND_QUIETLY TRUE) # Already in cache, be silent
+ENDIF (CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_INCLUDE_DIR)
+
+IF (WIN32) #Windows
+    MESSAGE(STATUS "Looking for CEGUI_OGRE")
+    SET(CEGUI_OGRESDK $ENV{CEGUI_OGRE_HOME})
+    STRING(REGEX REPLACE "[\\]" "/" CEGUI_OGRESDK "${CEGUI_OGRESDK}" )
+    SET(CEGUI_OGRE_INCLUDE_DIR ${CEGUI_OGRESDK}/include)
+    SET(CEGUI_OGRE_LIB_DIR ${CEGUI_OGRESDK}/lib)
+    SET(CEGUI_OGRE_LIBRARIES debug OgreMain_d optimized OgreMain)
+ELSE (WIN32) #Unix
+    FIND_PACKAGE(PkgConfig)
+    PKG_SEARCH_MODULE(CEGUI_OGRE CEGUI-OGRE /usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib/pkgconfig/CEGUI_OGRE.pc) # tardis specific hack
+    SET(CEGUI_OGRE_INCLUDE_DIR ${CEGUI_OGRE_INCLUDE_DIRS})
+    SET(CEGUI_OGRE_LIB_DIR ${CEGUI_OGRE_LIBDIR})
+    SET(CEGUI_OGRE_LIBRARIES ${CEGUI_OGRE_LIBRARIES} CACHE STRING "")
+ENDIF (WIN32)
+
+#Do some preparation
+SEPARATE_ARGUMENTS(CEGUI_OGRE_INCLUDE_DIR)
+SEPARATE_ARGUMENTS(CEGUI_OGRE_LIBRARIES)
+
+SET(CEGUI_OGRE_INCLUDE_DIR ${CEGUI_OGRE_INCLUDE_DIR} CACHE PATH "")
+SET(CEGUI_OGRE_LIBRARIES ${CEGUI_OGRE_LIBRARIES} CACHE STRING "")
+SET(CEGUI_OGRE_LIB_DIR ${CEGUI_OGRE_LIB_DIR} CACHE PATH "")
+
+IF (CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIBRARIES)
+    SET(CEGUI_OGRE_FOUND TRUE)
+ENDIF (CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIBRARIES)
+
+IF (CEGUI_OGRE_FOUND)
+    IF (NOT CEGUI_OGRE_FIND_QUIETLY)
+        MESSAGE(STATUS "  libraries : ${CEGUI_OGRE_LIBRARIES} from ${CEGUI_OGRE_LIB_DIR}")
+        MESSAGE(STATUS "  includes  : ${CEGUI_OGRE_INCLUDE_DIR}")
+    ENDIF (NOT CEGUI_OGRE_FIND_QUIETLY)
+ELSE (CEGUI_OGRE_FOUND)
+    IF (CEGUI_OGRE_FIND_REQUIRED)
+        MESSAGE(FATAL_ERROR "Could not find CEGUI_OGRE")
+    ENDIF (CEGUI_OGRE_FIND_REQUIRED)
+ENDIF (CEGUI_OGRE_FOUND)
Index: code/trunk/cmake/FindCEGUI_OPENGL.cmake
===================================================================
--- code/trunk/cmake/FindCEGUI_OPENGL.cmake	(revision 112)
+++ code/trunk/cmake/FindCEGUI_OPENGL.cmake	(revision 112)
@@ -0,0 +1,54 @@
+# Find CEGUI_OPENGL includes and library
+#
+# This module defines
+#  CEGUI_OPENGL_INCLUDE_DIR
+#  CEGUI_OPENGL_LIBRARIES, the libraries to link against to use CEGUI_OPENGL.
+#  CEGUI_OPENGL_LIB_DIR, the location of the libraries
+#  CEGUI_OPENGL_FOUND, If false, do not try to use CEGUI_OPENGL
+#
+# Copyright © 2007, Matt Williams
+# Modified by Nicolas Schlumberger to make it work on the Tardis-Infrastucture of the ETH Zurich
+#
+# Redistribution and use is allowed according to the terms of the BSD license.
+
+IF (CEGUI_OPENGL_LIBRARIES AND CEGUI_OPENGL_INCLUDE_DIR)
+    SET(CEGUI_OPENGL_FIND_QUIETLY TRUE) # Already in cache, be silent
+ENDIF (CEGUI_OPENGL_LIBRARIES AND CEGUI_OPENGL_INCLUDE_DIR)
+
+IF (WIN32) #Windows
+    MESSAGE(STATUS "Looking for CEGUI_OPENGL")
+    SET(CEGUI_OPENGLSDK $ENV{CEGUI_OPENGL_HOME})
+    STRING(REGEX REPLACE "[\\]" "/" CEGUI_OPENGLSDK "${CEGUI_OPENGLSDK}" )
+    SET(CEGUI_OPENGL_INCLUDE_DIR ${CEGUI_OPENGLSDK}/include)
+    SET(CEGUI_OPENGL_LIB_DIR ${CEGUI_OPENGLSDK}/lib)
+    SET(CEGUI_OPENGL_LIBRARIES debug OgreMain_d optimized OgreMain)
+ELSE (WIN32) #Unix
+    FIND_PACKAGE(PkgConfig)
+    PKG_SEARCH_MODULE(CEGUI_OPENGL CEGUI-OPENGL /usr/pack/cegui-0.5.0-sd/i686-debian-linux3.1/lib/pkgconfig/CEGUI-OPENGL.pc) # tardis specific hack
+    SET(CEGUI_OPENGL_INCLUDE_DIR ${CEGUI_OPENGL_INCLUDE_DIRS})
+    SET(CEGUI_OPENGL_LIB_DIR ${CEGUI_OPENGL_LIBDIR})
+    SET(CEGUI_OPENGL_LIBRARIES ${CEGUI_OPENGL_LIBRARIES} CACHE STRING "")
+ENDIF (WIN32)
+
+#Do some preparation
+SEPARATE_ARGUMENTS(CEGUI_OPENGL_INCLUDE_DIR)
+SEPARATE_ARGUMENTS(CEGUI_OPENGL_LIBRARIES)
+
+SET(CEGUI_OPENGL_INCLUDE_DIR ${CEGUI_OPENGL_INCLUDE_DIR} CACHE PATH "")
+SET(CEGUI_OPENGL_LIBRARIES ${CEGUI_OPENGL_LIBRARIES} CACHE STRING "")
+SET(CEGUI_OPENGL_LIB_DIR ${CEGUI_OPENGL_LIB_DIR} CACHE PATH "")
+
+IF (CEGUI_OPENGL_INCLUDE_DIR AND CEGUI_OPENGL_LIBRARIES)
+    SET(CEGUI_OPENGL_FOUND TRUE)
+ENDIF (CEGUI_OPENGL_INCLUDE_DIR AND CEGUI_OPENGL_LIBRARIES)
+
+IF (CEGUI_OPENGL_FOUND)
+    IF (NOT CEGUI_OPENGL_FIND_QUIETLY)
+        MESSAGE(STATUS "  libraries : ${CEGUI_OPENGL_LIBRARIES} from ${CEGUI_OPENGL_LIB_DIR}")
+        MESSAGE(STATUS "  includes  : ${CEGUI_OPENGL_INCLUDE_DIR}")
+    ENDIF (NOT CEGUI_OPENGL_FIND_QUIETLY)
+ELSE (CEGUI_OPENGL_FOUND)
+    IF (CEGUI_OPENGL_FIND_REQUIRED)
+        MESSAGE(FATAL_ERROR "Could not find CEGUI_OPENGL")
+    ENDIF (CEGUI_OPENGL_FIND_REQUIRED)
+ENDIF (CEGUI_OPENGL_FOUND)
Index: code/trunk/src/orxonox.cc
===================================================================
--- code/trunk/src/orxonox.cc	(revision 107)
+++ code/trunk/src/orxonox.cc	(revision 112)
@@ -28,4 +28,5 @@
 // TODO: Change this to orxonox.h and include all necessary functions there
 #include "ExampleApplication.h"
+#include <CEGUI/CEGUI.h>
 
 // TODO: Put creation of SceneNode and implementation of FrameListener into an extern file