Index: /windows/precompiled_dependencies/mingw/orxonox_dependencies.txt
===================================================================
--- /windows/precompiled_dependencies/mingw/orxonox_dependencies.txt	(revision 114)
+++ /windows/precompiled_dependencies/mingw/orxonox_dependencies.txt	(revision 115)
@@ -18,9 +18,9 @@
 
 
-## Poco (ogre threading dependency): ##
-cd poco-x.x.xxx
-./configure --omit=NetSSL_OpenSSL,Data/ODBC,Data/MySQL --no-tests --no-samples --shared
-m
-if linking fails, copy link command and remove the missing libraries, paste it to the console to build it manually. only PocoFoundation.dll is required
+-- ## Poco (ogre threading dependency): ##
+-- cd poco-x.x.xxx
+-- ./configure --omit=NetSSL_OpenSSL,Data/ODBC,Data/MySQL --no-tests --no-samples --shared
+-- m
+-- if linking fails, copy link command and remove the missing libraries, paste it to the console to build it manually. only PocoFoundation.dll is required
 
 
@@ -42,11 +42,12 @@
 cg SDK installieren
 
-open ogre_src_vx-x-x/CMake/Packages/FindPOCO.cmake
-add MinGW/ia32 to PATH_SUFFIXES of find_library commands
+-- open ogre_src_vx-x-x/CMake/Packages/FindPOCO.cmake
+-- add MinGW/ia32 to PATH_SUFFIXES of find_library commands
 
 cd ogre_src_vx-x-x/
 mkdir release
 cd release
-cmake -DCMAKE_BUILD_TYPE=Release -DOGRE_DEPENDENCIES_DIR=../../ogre-dependencies/xxxxxxxx/build/ogredeps -DENV_POCO_ROOT=/home/Xen/libs/poco/poco-x.x.x -G "MSYS Makefiles" ..
+-- cmake -DCMAKE_BUILD_TYPE=Release -DOGRE_DEPENDENCIES_DIR=../../ogre-dependencies/xxxxxxxx/build/ogredeps -DENV_POCO_ROOT=/home/Xen/libs/poco/poco-x.x.x -G "MSYS Makefiles" ..
+cmake -DCMAKE_BUILD_TYPE=Release -DOGRE_DEPENDENCIES_DIR=../../ogre-dependencies/xxxxxxxx/build/ogredeps -DBOOST_LIBRARYDIR=/home/Xen/libs/boost/boost_x_xx_x/stage/lib/ -DBOOST_INCLUDEDIR=/home/Xen/libs/boost/boost_x_xx_x/ -G "MSYS Makefiles" ..
 m
 
@@ -100,4 +101,23 @@
 
 
+## xerces: ## (for cegui 0.8)
+cd xerces-c-x.x.x
+./configure
+m
+
+
+## tolua++: ## (for cegui 0.8)
+cd tolua++-x.x.xx
+created custom.py according to README-5.1 and define paths to lua:
+CCFLAGS = ['-IC:/msys/home/Xen/libs/cegui/dependencies-0.8.2/include/', '-O2', '-ansi']
+LIBPATH = ['C:/msys/home/Xen/libs/cegui/dependencies-0.8.2/lib/']
+LIBS = ['lua']
+tolua_bin = 'tolua++'
+tolua_lib = 'tolua++'
+TOLUAPP = 'tolua++'
+copy lua.dll into tolua++ root directory
+C:/"Program Files"/Python27/Scripts/scons.py -Q shared=1
+
+
 ## CEGUI dependencies ##
 create "dependencies" directory in CEGUI-x.x.x/, subdirectories "include" and "lib"
@@ -106,33 +126,62 @@
  - pcre: pcre.h (see above)
  - lua: lua.h, luaconf.h, lauxlib.h, lualib.h (see above)
+ - xerces: xercesc dir
+ - ogre: put into a subdirectory called ogre: OgreBuildSettings.h (copy from ogre/build/include/) and all content of the include directory
+ - tolua++: tolua++.h
+--  - poco: copy Foundation/includ/Poco dir into ogre subdir
 lib:
  - freetype: libfreetype.a (copy from ogre dependencies)
- - pcre: libpcre.a (see above)
+ - pcre: libpcre-1.dll (see above)
  - lua: lua.dll (copy from orxonox dependencies with floating point precision mode, otherwise it crashes in conjunction with directX!!!) 
+ - xerces: libxerces-c.a (see above)
+ - tolua++: copy tolua++.dll (see above)
 
 for cegui 0.7.x:
 put all libs in lib/dynamic/
 include:
- - ogre: OgreBuildSettings.h (copy from ogre/build/include/)
 
-
-## CEGUI: (0.6.x) ##
-cd CEGUI-x.x.x/makefiles/premake/
-open config.lua and activate tinyxml and set it as the default XML parser
-premake --file cegui.lua --target cb-gcc
-open CEGUI.workspace with codeblocks
-build CEGUIBase, CEGUIFalagardWRBase, and CEGUITinyXMLParser each in Release mode
 
 ## CEGUI: (0.7.x) ##
 cd CEGUI-x.x.x/projects/premake/
 open config.lua:
- - activate tinyxml and set it as the default XML parser
+ - activate xerces and set it as the default XML parser
  - set MINIZIP_RESOURCE_PROVIDER = false
  - set OGRE_RENDERER = true
  - set Ogre path: OGRE_PATHS = { "C:/msys/home/Xen/libs/ogre/ogre_src_v1-8-1", "OgreMain/include", "release/bin" }
- - add extra path: { "C:/msys/home/Xen/libs/poco/poco-1.4.6p2", "Foundation/include", "lib/MinGW/ia32", "CEGUIOgreRenderer" }
+-- - add extra path: { "C:/msys/home/Xen/libs/poco/poco-1.4.6p2", "Foundation/include", "lib/MinGW/ia32", "CEGUIOgreRenderer" }
+ - add extra path: { "../dependencies-0.7.9", "include", "lib/dynamic" },
+ - add extra path: { "../../boost/boost_1_54_0", "", "stage/lib", "CEGUIOgreRenderer" },
+ - add extra path: { "../../xerces/xerces-c-3.1.1/src", "", "", "CEGUIXercesParser" },
 premake --file cegui.lua --target cb-gcc
 open CEGUI.workspace with codeblocks
-add "PocoFoundation" to "Link libraries" in tab "Linker settings" of Build options of CEGUIOgreRenderer
-build CEGUIBase, CEGUIFalagardWRBase, and CEGUITinyXMLParser each in Release mode
+--add "PocoFoundation" to "Link libraries" in tab "Linker settings" of Build options of CEGUIOgreRenderer
+add "boost_system-mgw45-mt-1_54" to "Link libraries" in tab "Linker settings" of Build options of CEGUIOgreRenderer (Release mode)
+change "xerces-c_3" to "xerces-c" in "Link libraries" in tab "Linker settings" of Build options of CEGUIXercesParser (Release mode)
+build CEGUIBase, CEGUIFalagardWRBase, and CEGUIXercesParser each in Release mode
 build tolua++, CEGUILuaScriptModule, CEGUIOgreRenderer each in Release mode
+
+## CEGUI: (0.8.x) ##
+cd cegui-x.x.x
+mkdir build
+cd build
+cmake .. -G "MSYS Makefiles" \
+-DFREETYPE_H_PATH_ft2build=../../dependencies-0.8.2/include/ \
+-DFREETYPE_H_PATH_ftconfig=../../dependencies-0.8.2/include/freetype/config/ \
+-DFREETYPE_LIB=../../dependencies-0.8.2/lib/libfreetype.a \
+-DPCRE_H_PATH=../../dependencies-0.8.2/include/ \
+-DPCRE_LIB=../../dependencies-0.8.2/lib/libpcre-1.dll \
+-DLUA_H_PATH=../../dependencies-0.8.2/include/ \
+-DLUA_LIB=../../dependencies-0.8.2/lib/lua.dll \
+-DXERCESC_H_PATH=../../dependencies-0.8.2/include/ \
+-DXERCESC_LIB=../../dependencies-0.8.2/lib/libxerces-c.a \
+-DOGRE_H_PATH=../../dependencies-0.8.2/include/ogre/ \
+-DOGRE_LIB=../../../ogre/ogre_src_v1-8-1/release/bin/OgreMain.dll \
+-DTOLUAPP_H_PATH=../../dependencies-0.8.2/include/ \
+-DTOLUAPP_LIB=../../dependencies-0.8.2/lib/tolua++.dll
+m CEGUIXercesParser
+m CEGUILuaScriptModule-0
+m CEGUIOgreRenderer-0 VERBOSE=1
+--copy link command and add PocoFoundation library
+copy link command and add boost_system-mgw45-mt-1_54 library
+
+Important: Don't forget to copy the 3 generated header files from the build directory into orxonox dependencies!